<?php
 /**
  * Agenda
  *
  * @package Sistemas Divulgação Online
  * @author Geandro Bessa
  * @copyright 2013
  * @version 2
  */
 define("_VALID_PHP", true);
 require_once("../init.php");
 date_default_timezone_set('America/Argentina/Buenos_Aires');
 include("head.php");
 $id_empresa = get('id_empresa');
?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		setTimeout(function(){
						location.reload();
					}, (6000*10));
        $('.avisarchegada').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			jQuery.ajax({
				type: 'POST',
				url: '../webservices/aviso_salvar.php',
				data: 'chamadaAgenda='+id,
				success: function( data )
				{
					var response = data.split("#");
					$.bootstrapGrowl(response[0], {
						ele: "body", 
						type: response[1], 
						offset: {
							from: "top",
							amount: 50
						}, 
						align: "left", 
						width: "auto",
						stackup_spacing: 10 
					});
					setTimeout(function(){
						location.reload();
					}, 1000);
				}
			});
		});	
	});
	// ]]>
</script>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">			
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<!-- BEGIN LOGO -->
								<?php
									if(file_exists("../assets/img/empresa.png")):?>
								<div class="page-logo">
									<img src="../assets/img/empresa.png" alt="logo" class="logo-default">
								</div>
								<?php else:?>
								<div class="page-logo">
									<img src="../assets/img/logo.png" alt="logo" width="210px" class="logo-default">
								</div>
								<?php endif;?>
								<!-- END LOGO -->
							</div>
						</div>
						<div class="portlet-body">
							<table class="table table">
								<tbody>
								<?php 
									$retorno_row = $atendimento->getProximasAgenda(false, $id_empresa);
									if($retorno_row):
										foreach ($retorno_row as $exrow):
											$class = ($exrow->realizado == 6) ? "class='warning'" : "";
								?>
									<tr <?php echo $class;?>>
										<td><small><?php echo lang('HORARIO');?></small><br><?php echo exibeHora($exrow->data_agenda);?></td>
										<td><small><?php echo lang('PROFISSIONAL');?></small><br><?php echo $exrow->medico;?></td>
										<td><small><?php echo lang('PACIENTE');?></small><br><?php echo $exrow->paciente;?></td>
										<td><small><?php echo lang('PROCEDIMENTO');?></small><br><?php echo $exrow->procedimento;?></td>
										<td><small><?php echo lang('CONSULTORIO');?></small><br><?php echo $exrow->consultorio;?></td>
										<td>
											<?php if($exrow->realizado == 6):?>
												<a href="javascript:void(0);" class="btn btn-lg yellow-gold" title="<?php echo lang('AVISAR_OK');?>"><h5><?php echo lang('AVISAR_OK');?></h5></a>
											<?php else:?>
											<a href="javascript:void(0);" class="btn btn-lg blue avisarchegada" id="<?php echo $exrow->id;?>" title="<?php echo lang('AVISAR_CHEGADA');?>"><h5><?php echo lang('AVISAR_CHEGADA');?></h5></a>
											<?php endif;?>
										</td>
									</tr>
								<?php 
										endforeach;?>
								<?php unset($exrow);
									 endif;?>
								</tbody>
							</table>
							<img src="../assets/img/logo.png" alt="logo" width="110px" class="logo-default">
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php include("footer.php");?>