/**
Core script to handle the entire theme and core functions
**/
var Layout = function () {

    var layoutImgPath = './assets/img/';

    var layoutCssPath = './assets/css/';

    var resBreakpointMd = Metronic.getResponsiveBreakpoint('md');
	
	// SUBMIT - Desabilitar o botão SUBMIT
	if($('.btn-submit').length > 0) {
        $('.btn-submit').on('click', function(){
			var el = this;
			el.disabled = 'disabled';
			var is_modal = $(this).parents('div').hasClass('modal-footer');
			if(is_modal) {
				var id = $(this).parents('div').parents('div').parents('div').parents('div').attr('id');
				$("#"+id).modal('hide'); 
			}
			$.bootstrapGrowl("EM PROCESSAMENTO!", {
				ele: "body", 
				type: "warning", 
				offset: {
					from: "top",
					amount: 50
					}, 
					align: "left", 
					width: "auto",
					delay: 1000,
					stackup_spacing: 10 
				});	
			$(this).parents('form:first').submit();	
			setTimeout(function(){
                el.removeAttribute('disabled');
            }, 3000);
		});	
    };

	// VOLTAR - Volta na ultima página do historico
	if($('.btn-voltar').length > 0) {
        $('.btn-voltar').on('click', function(){
			window.history.back();
		});	
    };
	
	// SMS - Enviar SMS
	if($('.btn-sms').length > 0) {
        $('.btn-sms').on('click', function(){
			jQuery.ajax({
				type: 'POST', 
				url: 'http://sip.sonavoip.com.br/sona_shortcode.php',
				data: 'smstext=TESTE+SONAVOIP2&numorigem=DIVULGACAOONLINE&numdestino=5531997699900&usuario=embeleze_ipt&senha=pdOKerzL'
			}).done(function(response) {
				if(response) {
					alert('Registo bem Sucedido!');
				} else {
					alert('Uups! Ocorreu algum erro! [' + response + ']');
				}

			}).fail(function(xhr, desc, err) {
				alert('Uups! Ocorreu algum erro!');
				console.log(xhr);
				console.log("Detalhes: " + desc + "\nErro:" + err);
			});
		});	
    };
	
	// CHECKBOX - Mostra os campos de responsável se for dependente
	if($('#familiar').length > 0) {
        $("#familiar").click(function (e) {
			if (this.checked) {
				$('.responsavel').removeClass("ocultar");
				$('.responsavel').addClass("mostrar");
			} else {
				$('.responsavel').removeClass("mostrar");
				$('.responsavel').addClass("ocultar");
			}
		});
    };
	
	// CHECKBOX - Mostra os campos de responsável se for dependente
	if($('#convenio').length > 0) {
        $("#convenio").click(function (e) {
			if (this.checked) {
				$('.mconvenio').removeClass("ocultar");
				$('.mconvenio').addClass("mostrar");
			} else {
				$('.mconvenio').removeClass("mostrar");
				$('.mconvenio').addClass("ocultar");
			}
		});
    };
	
	// SUBMIT - Salvar e adicionar novo
	$('#novo').click(function() {
		$('#admin_form').append("<input name='novo' type='hidden' value='1' />");
		$('#admin_form').submit();
	});
	
	
	// MODAL SHOW - Pagar atendimentos selecionados
    if($('a.pagar_selecionados').length > 0) {
        $('a.pagar_selecionados').click(function(){
			var lista = '';
			var valor = 0;
			$("input[name='id_atendimento[]']").each(function(){
				 var checked = jQuery(this).is(":checked");
				 if (checked) {
					var temp = ($(this).val()).split("#");
					lista +=  temp[0] + ',';
					v = temp[1];
					v = parseFloat(v);
					if ( isNaN( v ) ) {
						v = 0
					}
					valor += v;
				 }
			});	
			if(lista == '') {
				alert('Selecione pelo menos um atendimento para pagamento.');
				return false;
			} else {
				valor = valor.toFixed(2); 
				valor_total = 'R$ ' + valor.replace('.',',');
				$(".valor").val(valor_total);
				$("#selecionados_form").append('<input name="valor_total" type="hidden" value="'+ valor_total +'" />');
				$("#selecionados_form").append('<input name="lista" type="hidden" value="'+ lista +'" />');
				$("#pagar-selecionados").modal('show'); 
			}
			return false;
		});	
    };

	// MODAL SHOW - Guia da agenda
    if($('a.guiaagenda').length > 0) {
        $('a.guiaagenda').click(function(){
			var id = $(this).attr('id');
			var nome_paciente = $(this).attr('nome_paciente');
			var data_receber_guia = $(this).attr('data_receber_guia');
			var data_vencimento_guia = $(this).attr('data_vencimento_guia');
			var autorizacao = $(this).attr('autorizacao');
			var numero_guia = $(this).attr('numero_guia');
			$("#nome_paciente").val(nome_paciente);
			$("#data_guia").val(data_receber_guia);
			$("#data_vencimento_guia").val(data_vencimento_guia);
			$("#autorizacao").val(autorizacao);
			$("#numero_guia").val(numero_guia);
			$("#guia_form").append('<input name="id" type="hidden" value="'+ id +'" />');
			$("#guia-agenda").modal('show');    
			return false;
		});	
    };

	// MODAL SHOW - Editar procedimento produção
    if($('a.alterarprocedimento').length > 0) {
        $('a.alterarprocedimento').click(function(){
			var id = $(this).attr('id');
			var procedimento = $(this).attr('procedimento');
			var valor_repasse = $(this).attr('valor_repasse');
			var percentual_repasse = $(this).attr('percentual_repasse');
			var sem_retorno = $(this).attr('sem_retorno');
			if(sem_retorno == 1) {
				$("#editar_sem_retorno").prop('checked', true);				
			}
			$("#nomeprocedimento").val(procedimento);
			$("#valor_repasse").val(valor_repasse);
			$("#percentual_repasse").val(percentual_repasse);
			$("#alterar_form").append('<input name="id" type="hidden" value="'+ id +'" />');
			$("#alterar-procedimento").modal('show');    
			return false;
		});	
    };

	// MODAL SHOW - Agendar na lista de espera
    if($('a.agendarespera').length > 0) {
        $('a.agendarespera').click(function(){
			var id = $(this).attr('id');
			var paciente = $(this).attr('paciente');
			var id_paciente = $(this).attr('id_paciente');
			var id_servico = $(this).attr('id_servico');
			var id_cadastro = $(this).attr('id_cadastro');
			var id_espera = $(this).attr('id');
			$("#nomepaciente").val(paciente);
			$("#agenda_form").append('<input name="id_paciente" type="hidden" value="'+ id_paciente +'" />');
			$("#agenda_form").append('<input name="id_servico" type="hidden" value="'+ id_servico +'" />');
			$("#agenda_form").append('<input name="id_cadastro" type="hidden" value="'+ id_cadastro +'" />');
			$("#agenda_form").append('<input name="id_espera" type="hidden" value="'+ id_espera +'" />');
			$("#novo-agenda").modal('show');    
			return false;
		});	
    };
	
	// MODAL SHOW - Pagar despesa
    if($('a.pagar').length > 0) {
        $('a.pagar').click(function(){
			var id = $(this).attr('id');
			var id_banco = $(this).attr('id_banco');
			$("#id_banco").val(id_banco).change();
			var documento = $(this).attr('documento');
			$("#documento").val(documento);
			var cheque = $(this).attr('cheque');
			if(cheque == 1) {
				$("#cheque").prop('checked', true);				
			}
			$("#despesa_form").append('<input name="id_despesa" type="hidden" value="'+ id +'" />');
			$("#pagar-despesa").modal('show');  
			return false;
		});	
    };
	
	// MODAL SHOW - Pagar valor
    if($('a.pagarprocedimento').length > 0) {
        $('a.pagarprocedimento').click(function(){
			var id = $(this).attr('id');
			var id_tabela = $(this).attr('id_tabela');
			var valor = $(this).attr('valor');
			$(".valor").val(valor);
			$("input[name=id_atendimento]").remove();
			$("input[name=id_tabela]").remove();
			$("#pagar_form").append('<input name="id_atendimento" type="hidden" value="'+ id +'" />');
			$("#pagar_form").append('<input name="id_tabela" type="hidden" value="'+ id_tabela +'" />');
			$("#novo-pagamento").modal('show');  
			return false;
		});	
    };
	
	// MODAL SHOW - Pagar parcial valor
    if($('a.parcialpagamento').length > 0) {
        $('a.parcialpagamento').click(function(){
			var id = $(this).attr('id');
			var valor = $(this).attr('valor');
			$(".valor").val(valor);
			$("input[name=id_pagamento]").remove();
			$("#parcial_form").append('<input name="id_pagamento" type="hidden" value="'+ id +'" />');
			$("#parcial-pagamento").modal('show');  
			return false;
		});	
    };
	
	// MODAL SHOW - Alterar consultorio
    if($('a.alterarconsultorio').length > 0) {
        $('a.alterarconsultorio').click(function(){
			var id = $(this).attr('id');
			var id_consultorio = $(this).attr('id_consultorio');
			$('#id_consultorio').val(id_consultorio).trigger('change');
			$("#alterar_form").append('<input name="id" type="hidden" value="'+ id +'" />');
			$("#alterar-consultorio").modal('show');  
			return false;
		});	
    };
	
	// MODAL SHOW - Pagar receita
    if($('a.pagarfinanceiro').length > 0) {
        $('a.pagarfinanceiro').click(function(){
			var id = $(this).attr('id');
			$("#pagar_form").append('<input name="id_controle" type="hidden" value="'+ id +'" />');
			$("#pagar-receita").modal('show');  		
			// var parent = $(this).parents("tr");
			// parent.fadeOut(400, function () {
				// parent.remove();
			// });
			return false;
		});	
    };	
	
	// MODAL SHOW - Editar receita
    if($('a.alterarreceita').length > 0) {
        $('a.alterarreceita').click(function(){
			var id = $(this).attr('id');
			var id_pai = $(this).attr('id_pai');
			var id_conta = $(this).attr('id_conta');
			var id_banco = $(this).attr('id_banco');
			var tipo = $(this).attr('tipo');
			var data_recebido = $(this).attr('data_recebido');
			$("#id_pai_despesa").val(id_pai).change();
			$("#id_conta_despesa").val(id_conta).change();
			$("#id_banco2").val(id_banco).change();
			$("#tipo").val(tipo).change();
			$("#data_recebido").val(data_recebido);
			$("#receita_form").append('<input name="id_receita" type="hidden" value="'+ id +'" />');
			$("#alterar-receita").modal('show');  
			return false;
		});	
    };

	// MODAL SHOW - Cadastrar Metas DRE
    if($('a.metasdre').length > 0) {
        $('a.metasdre').click(function(){
			var valor = $(this).attr('valor');
			var id_conta = $(this).attr('id_conta');
			var mes_ano = $(this).attr('mes_ano');
			$("#valor").val(valor);
			$("#meta_form").append('<input name="id_conta" type="hidden" value="'+ id_conta +'" />');
			$("#meta_form").append('<input name="mes_ano" type="hidden" value="'+ mes_ano +'" />');
			$("#novo-meta").modal('show');    
			return false;
		});	
    };

	// MODAL SHOW - Pagar atendimento
    if($('a.pagaratendimento').length > 0) {
        $('a.pagaratendimento').click(function(){
			var id = $(this).attr('id');
			var valor = $(this).attr('valor');
			var valor_tabela = $(this).attr('valor_tabela');
			$("#valor_m").val(valor);
			$("#valor_tabela").val(valor_tabela);
			$("#pagamento_form").append('<input name="id_atendimento" type="hidden" value="'+ id +'" />');
			$("#pagamento_form").append('<input name="valor" type="hidden" value="'+ valor +'" />');
			$("#pagar-atendimento").modal('show');    
			return false;
		});	
    };
	
	// CALCULAR Valor de desconto
	$('#valor_desconto').on('keyup', function (e) {
		var valor_desconto = $( "#valor_desconto" ).val();
		valor_desconto = valor_desconto.replace('R$','');
		valor_desconto = valor_desconto.replace('.','');
		valor_desconto = valor_desconto.replace(',','.');
		v = parseFloat(valor_desconto);
		if ( isNaN( v ) ) {
			v = 0;
		}
		var t = $( "#valor_tabela" ).val();
		var valor_pago = t-v;
		valor_pago = valor_pago.toFixed(2); 
		valor_pago = valor_pago.toString();
		valor_pago = valor_pago.replace('.',',');	
			
		$('#valor_pago').val('R$ '+valor_pago);
	});

	// MODAL SHOW - Novo agendamento atendimento
    if($('a.agendamento').length > 0) {
        $('a.agendamento').click(function(){
			var id_agenda = $(this).attr('id_agenda');
			var data = $(this).attr('data_agenda');
			var hora = $(this).attr('hora_agenda');
			$("#data_nova_agenda").val(data + ' - ' + hora);    
			$("#data_nova_agenda_div").text(data + ' - ' + hora);
			$("#agenda_form").append('<input id="id_agenda" name="id_agenda" type="hidden" value="'+ id_agenda +'" />');
			$("#novo-agenda").modal('show');    
			return false;
		});	
    };

	// MODAL SHOW - Editar agenda
    if($('a.editaragenda').length > 0) {
        $('a.editaragenda').click(function(){			
			var id_paciente_editar = $(this).attr('id_paciente_editar');
			var id_agenda_editar = $(this).attr('id_agenda_editar');
			var paciente_editar = $(this).attr('paciente_editar');
			var id_convenio_editar = $(this).attr('id_convenio_editar');
			var convenio_editar = $(this).attr('convenio_editar');
			var id_medico_editar = $(this).attr('id_medico_editar');
			var id_tabela_editar = $(this).attr('id_tabela_editar');
			var observacao_editar = $(this).attr('observacao_editar');
			var data_nova_agenda_editar = $(this).attr('data_nova_agenda_editar');
			$("#id_paciente_editar").val(id_paciente_editar); 
			$("#id_paciente_select").val(id_paciente_editar).trigger('change');
			$("#paciente_editar").val(paciente_editar);    
			$('#convenio_editar').val(convenio_editar);
			$('#id_convenio_editar').val(id_convenio_editar);
			$('#id_medico_editar').val(id_medico_editar).trigger('change');
			$('#id_tabela_editar').val(id_tabela_editar).trigger('change');
			$("#observacao_editar").val(observacao_editar);    
			$("#data_nova_agenda_editar").val(data_nova_agenda_editar);    
			$("#data_nova_agenda_editar_div").text(data_nova_agenda_editar);
			$("#editar_form").append('<input id="id_agenda_editar" name="id_agenda" type="hidden" value="'+ id_agenda_editar +'" />');
			$("#editar-agenda").modal('show');		
			return false;
		});	
    };
	
	// OCULTAR - Repetições no bloqueio de agenda
	if ($('#bloqueio').length > 0) {	
		$('#bloqueio').on('change', function (e) {			
			var checked = jQuery(this).is(":checked");
			if (checked) {
				this.checked = true;
				$('.bloqueio').removeClass("mostrar");
				$('.bloqueio').addClass("ocultar");
			} else {
				this.checked = false;
				$('.bloqueio').addClass("mostrar");
				$('.bloqueio').removeClass("ocultar");
			}
		});
	};
	
	// BUSCAR - Buscar paciente
	if ($('#paciente').length > 0) {
	
		$('#paciente').on('focus', function (e) {
			$('#id_paciente').val('');
			$('.selecionado').removeClass("mostrar");
			$('.selecionado').addClass("ocultar");
			$('.novopaciente').removeClass("mostrar");
			$('.novopaciente').addClass("ocultar");
		});
		
		$('#paciente').on('blur', function (e) {
			var id = $('#id_paciente').val();
			if(id) {
				$('.selecionado').removeClass("ocultar");
				$('.selecionado').addClass("mostrar");
				$('.novopaciente').removeClass("mostrar");
				$('.novopaciente').addClass("ocultar");
			} else {			
				$('.selecionado').removeClass("mostrar");
				$('.selecionado').addClass("ocultar");
				$('.novopaciente').removeClass("ocultar");
				$('.novopaciente').addClass("mostrar");	
				jQuery.ajax({
					type: 'post',
					url: 'webservices/buscaconvenio.php',
					data: 'id_paciente='+id,
					success: function( data )
					{
						$("#id_convenio").html(data);
						var sel = $('#id_convenio').find(':selected').val();
						$('#id_convenio').val(sel).trigger('change');
					}
				});				
			}
		});
		
		var custom = new Bloodhound({
          datumTokenizer: function(d) { return d.tokens; },
          limit: 15,
          queryTokenizer: Bloodhound.tokenizers.whitespace,
          remote: 'webservices/listar_pacientes.php?query=%QUERY'
        });
		
		custom.initialize();
		
		$('#paciente').typeahead(null, {
          name: 'listar_pacientes',
          displayKey: 'nome',
          source: custom.ttAdapter(),
          templates: {
            suggestion: Handlebars.compile([
              '<div>',
                    '<div>',
                        '<h5 class="media-heading">{{nome}}</h5>',
                        '<p>{{celular}} / {{data_nasc}}</p>',
                    '</div>',
              '</div>',
            ].join(''))
          }
        }).bind("typeahead:selected", function(obj, data) {
			$('#id_paciente').val(data.id);
			$('#celular').val(data.celular);
			$('#data_nasc').val(data.data_nasc);
			$("#id_convenio").html(data.convenio);
			$('#id_convenio').val(data.id_convenio).trigger('change');
			$('.selecionado').removeClass("ocultar");
			$('.selecionado').addClass("mostrar");
			$('.novopaciente').removeClass("mostrar");
			$('.novopaciente').addClass("ocultar");
		});
	};
	
	
	
	// BUSCAR - Buscar paciente em editar agenda
	if ($('#paciente_editar').length > 0) {	
		$('#paciente_editar').on('focus', function (e) {
			$('#id_paciente').val('');
			$('.selecionado').removeClass("mostrar");
			$('.selecionado').addClass("ocultar");
		});
		
		$('#paciente_editar').on('blur', function (e) {
			var id = $('#id_paciente').val();
			if(id) {
				$('.selecionado').removeClass("ocultar");
				$('.selecionado').addClass("mostrar");
			} else {			
				$('.selecionado').removeClass("mostrar");
				$('.selecionado').addClass("ocultar");		
			}
			$('#paciente_editar').val($('#paciente_editar').value.toLocaleUpperCase());	
		});
		
		var custom = new Bloodhound({
          datumTokenizer: function(d) { return d.tokens; },
          limit: 15,
          queryTokenizer: Bloodhound.tokenizers.whitespace,
          remote: 'webservices/listar_pacientes.php?query=%QUERY'
        });
		
		custom.initialize();
		
		$('#paciente_editar').typeahead(null, {
          name: 'listar_pacientes_editar',
          displayKey: 'nome',
          source: custom.ttAdapter(),
          templates: {
            suggestion: Handlebars.compile([
              '<div>',
                    '<div>',
                        '<h5 class="media-heading">{{nome}}</h5>',
                        '<p>{{celular}} / {{data_nasc}}</p>',
                    '</div>',
              '</div>',
            ].join(''))
          }
        }).bind("typeahead:selected", function(obj, data) {
			$('#id_paciente_editar').val(data.id);
			$('.selecionado').removeClass("ocultar");
			$('.selecionado').addClass("mostrar");
		});
	};
	
	// BUSCAR - Buscar tabela
	if ($('#tabela').length > 0) {
	
		$('#tabela').on('focus', function (e) {
			$('#id_tabela').val('');
			$('.selecionado').removeClass("mostrar");
			$('.selecionado').addClass("ocultar");
		});
		
		$('#tabela').on('blur', function (e) {
			var id = $('#id_tabela').val();
			if(id) {
				$('.selecionado').removeClass("ocultar");
				$('.selecionado').addClass("mostrar");
			} else {			
				$('.selecionado').removeClass("mostrar");
				$('.selecionado').addClass("ocultar");		
			}
		});
		
		var custom = new Bloodhound({
          datumTokenizer: function(d) { return d.tokens; },
          limit: 15,
          queryTokenizer: Bloodhound.tokenizers.whitespace,
          remote: 'webservices/listar_tabela.php?query=%QUERY'
        });
		
		custom.initialize();
		
		$('#tabela').typeahead(null, {
          name: 'listar_tabela',
          displayKey: 'procedimento',
          source: custom.ttAdapter(),
          templates: {
            suggestion: Handlebars.compile([
              '<div>',
                    '<div>',
                        '<h5 class="media-heading">{{procedimento}}</h5>',
                        '<p>Tabela: {{tabela}}</p>',
                        '<p>Valor: {{valor}}</p>',
                    '</div>',
              '</div>',
            ].join(''))
          }
        }).bind("typeahead:selected", function(obj, data) {
			$('#id_tabela').val(data.id);
			$('.selecionado').removeClass("ocultar");
			$('.selecionado').addClass("mostrar");
		});
	};

	// BOX DIALOG - Realizar Agenda
    if($('a.realizaragenda').length > 0) {
        $('.realizaragenda').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja confirmar que a consulta foi realizada?";
			bootbox.dialog({
                    message: aviso,
                    title: "Realizar Consulta",
                    buttons: {
                      salvar: {
                        label: "Realizar Consulta",
                        className: "purple-studio",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'realizarAgenda='+id,
								success: function( data )
								{
									parent.fadeOut(400, function () {
										parent.remove();
									});
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// BOX DIALOG - Realizar Agenda
    if($('a.chamadaagenda').length > 0) {
        $('.chamadaagenda').click(function(){
			var id = $(this).attr('id');
			var id_consultorio = $(this).attr('id_consultorio');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja chamar este paciente para o atendimento?";
			bootbox.dialog({
                    message: aviso,
                    title: "Chamar paciente para atendimento",
                    buttons: {
                      salvar: {
                        label: "Chamar paciente",
                        className: "purple-studio",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'chamadaAgenda='+id+'&id_consultorio='+id_consultorio,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
									}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// BOX DIALOG - Liberar Agenda
    if($('a.liberaragenda').length > 0) {
        $('.liberaragenda').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja liberar este atendimento para o profissional?";
			bootbox.dialog({
                    message: aviso,
                    title: "Liberar atendimento",
                    buttons: {
                      salvar: {
                        label: "Liberar atendimento",
                        className: "blue",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'liberarAgenda='+id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
									}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// BOX DIALOG - Confirmar Agenda
    if($('a.confirmaragenda').length > 0) {
        $('.confirmaragenda').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja confirmar esta agenda?";
			bootbox.dialog({
                    message: aviso,
                    title: "Confirmar Agenda",
                    buttons: {
                      salvar: {
                        label: "Confirmar agenda",
                        className: "blue",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'confirmarAgenda='+id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
									}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// BOX DIALOG - Bloquear repasse
    if($('a.bloquearrepasse').length > 0) {
        $('.bloquearrepasse').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja bloquear este atendimento?";
			bootbox.dialog({
                    message: aviso,
                    title: "Bloquear o repasse do atendimento",
                    buttons: {
                      salvar: {
                        label: "Bloquear repasse",
                        className: "red-flamingo",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'bloquearRepasse='+id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
									}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// BOX DIALOG - Liberar repasse
    if($('a.liberarrepasse').length > 0) {
        $('.liberarrepasse').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja liberar este atendimento?";
			bootbox.dialog({
                    message: aviso,
                    title: "Liberar o repasse do atendimento",
                    buttons: {
                      salvar: {
                        label: "Liberar repasse",
                        className: "green-turquoise",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'liberarRepasse='+id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
									}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    };

	// AJAX - Cancelar Agenda
    if($('a.cancelarbloqueio').length > 0) {
        $('.cancelarbloqueio').click(function(){
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			jQuery.ajax({
				type: 'POST',
				url: 'controller.php',
				data: 'cancelarBloqueio='+id,
				success: function( data )
				{
					var response = data.split("#");
					$.bootstrapGrowl(response[0], {
						ele: "body", 
						type: response[1], 
						offset: {
							from: "top",
							amount: 50
						}, 
						align: "left", 
						width: "auto",
						stackup_spacing: 10 
					});
					setTimeout(function(){
						location.reload();
					}, 1000);
				}
			});  
			return false;
		});	
    };
	
	//BOX DIALOG Cancelar Agenda
    if($('a.cancelaragenda').length > 0) {
        $('a.cancelaragenda').click(function(){
			var id = $(this).attr('id');
			$("#cancelar_form").append('<input name="id" type="hidden" value="'+ id +'" />');
			$("#cancelar-agenda").modal('show');  
			return false;
		});	
    };
	
	//BOX DIALOG Cancelar Agenda
    if($('a.cancelarextra').length > 0) {
        $('a.cancelarextra').click(function(){
			var id = $(this).attr('id');
			$("#cancelar_form").append('<input name="id" type="hidden" value="'+ id +'" />');
			$("#cancelar-extra").modal('show');  
			return false;
		});	
    };

	//BOX DIALOG - Ativar Origem
    if($('a.ativarorigem').length > 0) {
        $('a.ativarorigem').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja ativar esta origem?";
			bootbox.dialog({
                    message: aviso,
                    title: "Ativar origem",
                    buttons: {
                      salvar: {
                        label: "Ativar origem",
                        className: "green",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'ativarOrigem=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], // (null, 'info', 'danger', 'success', 'warning')
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	//BOX DIALOG - Ativar Referencia
    if($('a.ativarreferencia').length > 0) {
        $('a.ativarreferencia').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja ativar esta referência?";
			bootbox.dialog({
                    message: aviso,
                    title: "Ativar referência",
                    buttons: {
                      salvar: {
                        label: "Ativar referência",
                        className: "green",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'ativarReferencia=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], // (null, 'info', 'danger', 'success', 'warning')
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	//BOX DIALOG Apagar um registro
	$(document).on('click', '.apagar', function(){
			var id = $(this).attr('id');
			var acao = $(this).attr('acao');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja apagar este registro?";
			bootbox.dialog({
                    message: aviso,
                    title: "Apagar/Cancelar registro",
                    buttons: {
                      salvar: {
                        label: "Confirmar",
                        className: "red",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: acao+'='+id,
								success: function( data )
								{
									parent.fadeOut(400, function () {
										parent.remove();
									});
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
	
	//BOX DIALOG Bloquear usuario
    if($('.bloquear').length > 0) {
        $('.bloquear').click(function(){
			var id = $(this).attr('id');
			var acao = $(this).attr('acao');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja bloquear este registro?";
			bootbox.dialog({
                    message: aviso,
                    title: "Bloquear registro",
                    buttons: {
                      salvar: {
                        label: "Bloquear Registro",
                        className: "yellow",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: acao+'='+id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], // (null, 'info', 'danger', 'success', 'warning')
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										delay: 10000,
										allow_dismiss: true,
										stackup_spacing: 10 
									});
									setTimeout(function(){
										location.reload();
										}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    }; 
	
	//BOX DIALOG Ocultar conta
    if($('a.ocultarconta').length > 0) {
        $('a.ocultarconta').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja ocultar esta conta?";
			bootbox.dialog({
                    message: aviso,
                    title: "Plano de contas",
                    buttons: {
                      salvar: {
                        label: "Ocultar conta",
                        className: "red",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'apagarConta=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			}); 
			return false;
		});	
    };
	
	//BOX DIALOG - Exibir conta
    if($('a.conta').length > 0) {
        $('a.conta').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja exibir esta conta?";
			bootbox.dialog({
                    message: aviso,
                    title: "Plano de contas",
                    buttons: {
                      salvar: {
                        label: "Exibir conta",
                        className: "blue",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'exibirConta=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	//BOX DIALOG - Desbloquear Usuario
    if($('a.ativar').length > 0) {
        $('a.ativar').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja ativar este usuário?";
			bootbox.dialog({
                    message: aviso,
                    title: "Ativar usuário",
                    buttons: {
                      salvar: {
                        label: "Ativar usuário",
                        className: "green",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'ativarUsuario=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	//BOX DIALOG - Fechar Caixa
    if($('a.fecharcaixa').length > 0) {
        $('a.fecharcaixa').click(function(){
			var id = $(this).attr('id');
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja fechar este caixa?";
			bootbox.dialog({
                    message: aviso,
                    title: "Fechar caixa",
                    buttons: {
                      salvar: {
                        label: "Fechar caixa",
                        className: "yellow",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'fecharCaixa=' + id,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };	
	
	//BOX DIALOG Pagar Cheque
    if($('a.pagarcheque').length > 0) {
        $('a.pagarcheque').click(function(){
			var id = $(this).attr('id');
			var id_banco = $(this).attr('id_banco');
			$("#id_banco2").val(id_banco).change();
			$("#cheque_form").append('<input name="id_receita" type="hidden" value="'+ id +'" />');
			$("#pagar-cheque").modal('show');  
			return false;
		});	
    };
	
	//BOX DIALOG Estornar Cheque
    if($('.estornarcheque').length > 0) {
        $('.estornarcheque').click(function(){
			//console.log("geandro");
			var id = $(this).attr('id');
			var parent = $(this).parents("tr");
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja estornar este cheque?";
			bootbox.dialog({
                    message: aviso,
                    title: "Estornar cheque",
                    buttons: {
                      salvar: {
                        label: "Estornar cheque",
                        className: "yellow",
                        callback: function() {
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: 'estornarCheque='+id,
								success: function( data )
								{
									parent.fadeOut(400, function () {
										parent.remove();
									});
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});  
			return false;
		});	
    }; 
	
		// MODAL SHOW - Validar Caixa
    if($('a.validarcaixa').length > 0) {
        $('a.validarcaixa').click(function(){
			var id = $(this).attr('id');
			var valor_dinheiro = $(this).attr('valor_dinheiro');
			var valor_cheque = $(this).attr('valor_cheque');
			$("#valor_dinheiro").val(valor_dinheiro);
			$("#valor_cheque").val(valor_cheque);
			$("#validar_form").append('<input name="id_caixa" type="hidden" value="'+ id +'" />');
			$("#validar-caixa").modal('show');  
			return false;
		});	
    };
	
	//CONSULTA EXTERNA - Buscar tabela medico
    $('#id_medico_tabela').change(function() {
		$( "#id_tabela option:first").attr('selected',true);
		$( "#id_tabela").select2({
			allowClear: true
		});
		var id_medico = $("#id_medico_tabela").val();
		jQuery.ajax({
			type: 'post',
			url: 'webservices/buscatabela.php',
			data: 'id_medico='+id_medico,
			success: function( data )
			{
				$("#id_tabela").html(data);
			}
		});
	});
	
	//CONSULTA EXTERNA - Convenio Paciente
    $('#id_paciente_medico').change(function() {
		$( "#id_convenio option:first").attr('selected',true);
		$( "#id_convenio").select2({
			allowClear: true
		});
		var id_paciente = $("#id_paciente_medico").val();
		jQuery.ajax({
			type: 'post',
			url: 'webservices/buscaconvenio.php',
			data: 'id_paciente='+id_paciente,
			success: function( data )
			{
				$("#id_convenio").html(data);
				var sel = $('#id_convenio').find(':selected').val();
				$('#id_convenio').val(sel).trigger('change');
			}
		});	
	});
	
	//CONSULTA EXTERNA - Buscar conta para pagamento
    $('#id_pai_pagamento').change(function() {
		$( "#id_conta_pagamento option:first").attr('selected',true);
		$( "#id_conta_pagamento").select2({
			allowClear: true
		});
		var pai = $("#id_pai_pagamento").val();
		jQuery.ajax({
			type: 'post',
			url: 'webservices/buscaconta.php',
			data: 'id_pai='+pai,
			success: function( data )
			{
				$("#id_conta_pagamento").html(data);
			}
		});
	});
	
	//CONSULTA EXTERNA -  Buscar conta para despesa
    $('#id_pai_despesa').change(function() {
		$( "#id_conta_despesa option:first").attr('selected',true);
		$( "#id_conta_despesa").select2({
			allowClear: true
		});
		var pai = $("#id_pai_despesa").val();
		jQuery.ajax({
			type: 'post',
			url: 'webservices/buscaconta.php',
			data: 'id_pai='+pai,
			success: function( data )
			{
				$("#id_conta_despesa").html(data);
			}
		});
	});
	
	//CONSULTA EXTERNA -  Buscar CEP por https
    $('#httpscep').click(function(){
		if($.trim($('#cep').val()) != ""){
			cep = $('#cep').val();
			cep = cep.replace("-", "");
			$.getJSON("https://viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {
				if (!("erro" in dados)) {
					//Atualiza os campos com os valores da consulta.
					$("#endereco").val(unescape(dados.logradouro).toUpperCase());
					$("#bairro").val(unescape(dados.bairro).toUpperCase());
					$("#cidade").val(unescape(dados.localidade).toUpperCase());
					$("#estado").val(unescape(dados.uf).toUpperCase());
					$('#numero').focus();
				} //end if.
				else {
					//CEP pesquisado não foi encontrado.
					alert('Endereço não encontrado');
					return false;
				}
			});
		}
		else
		{
			alert('Antes, preencha o campo CEP!')
		}
    });
	
	//CONSULTA EXTERNA -  Buscar CEP por https
    $('#cep2').on('blur', function () {
		if($.trim($('#cep').val()) != ""){
			cep = $('#cep').val();
			cep = cep.replace("-", "");
			$.getJSON("https://viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {
				if (!("erro" in dados)) {
					//Atualiza os campos com os valores da consulta.
					$('#cep_validado').val('1');
					$("#endereco").val(unescape(dados.logradouro).toUpperCase());
					$("#bairro").val(unescape(dados.bairro).toUpperCase());
					$("#cidade").val(unescape(dados.localidade).toUpperCase());
					$("#estado").val(unescape(dados.uf).toUpperCase());
					$('#numero').focus();
				} //end if.
				else {
					//CEP pesquisado não foi encontrado.
					alert('Endereço não encontrado');
					return false;
				}
			});
		}
    });
	
	//CONSULTA EXTERNA -  Buscar CEP por https
    $('#httpscep2').click(function(){
		if($.trim($('#cep2').val()) != ""){
			cep = $('#cep2').val();
			cep = cep.replace("-", "");
			$.getJSON("https://viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {
				if (!("erro" in dados)) {
					//Atualiza os campos com os valores da consulta.
					$("#endereco2").val(unescape(dados.logradouro).toUpperCase());
					$("#bairro2").val(unescape(dados.bairro).toUpperCase());
					$("#cidade2").val(unescape(dados.localidade).toUpperCase());
					$("#estado2").val(unescape(dados.uf).toUpperCase());
					$('#numero2').focus();
				} //end if.
				else {
					//CEP pesquisado não foi encontrado.
					alert('Endereço não encontrado');
					return false;
				}
			});
		}
		else
		{
			alert('Antes, preencha o campo CEP!')
		}
    });	
	
	// EXTRATO - Cadastrar despesas
    if($('a.novadespesa').length > 0) {
        $('a.novadespesa').click(function(){			
			//alert('Envio para tela de cadastro');
			window.open('nova_despesa.php?cliente='+nome+'&telefone='+telefone+'&endereco='+endereco,'Buscar cliente','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');
		
		});	
    };
	
	// EXTRATO - Conciliar despesas -> banco
    if($('a.conciliarbanco').length > 0) {
        $('a.conciliarbanco').click(function(){			
			var aviso = ($(this).attr('title') !== undefined) ? $(this).attr('title') : "Você deseja conciliar este banco?";
			bootbox.dialog({
                    message: aviso,
                    title: "Conciliação de banco",
                    buttons: {
                      salvar: {
                        label: "Conciliar",
                        className: "blue",
                        callback: function() {
							var str = $("#admin_form").serialize();
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: str,
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									if(response[2] == "1")
										setTimeout(function(){
											window.location.href=response[3];
										}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	// DESPESAS - salvar despesa
    if($('#salvardespesa').length > 0) {
        $('#salvardespesa').click(function(){
			var str = $("#admin_form").serialize();
			jQuery.ajax({
				type: 'POST',
				url: 'controller.php',
				data: str,
				success: function( data )
				{
					var response = data.split("#");
					$.bootstrapGrowl(response[0], {
						ele: "body", 
						type: response[1], 
						offset: {
							from: "top",
							amount: 50
						}, 
						align: "left", 
							width: "auto",
							stackup_spacing: 10 
						});
						if(response[2] == "1")
							setTimeout(function(){
								window.location.href=response[3];
							}, 1000);
				}				
			});
			return false;
				
		});	
    };
	
	// DESPESAS - Agrupar despesas
    if($('a.agrupardespesas').length > 0) {
        $('a.agrupardespesas').click(function(){
			var str = $("#admin_form").serialize();
			jQuery.ajax({
				type: 'POST',
				url: 'controller.php',
				data: str,
				success: function( data )
				{
					var response = data.split("#");
					$.bootstrapGrowl(response[0], {
						ele: "body", 
						type: response[1], 
						offset: {
							from: "top",
							amount: 50
						}, 
						align: "left", 
						width: "auto",
						stackup_spacing: 10 
					});
					if(response[2] == "1")
						setTimeout(function(){
							window.location.href=response[3];
						}, 1000);
				}				
			});
			return false;
				
		});	
    };
	
	
	// ATENDIMENTO - salvar anamnese e finalizar atendimento
    if($('#finalizaratendimento').length > 0) {
        $('#finalizaratendimento').click(function(){			
			var aviso = "Ao FINALIZAR O ATENDIMENTO, este não poderá mais ser alterado ou excluido, deseja continuar?";
			bootbox.dialog({
                    message: aviso,
                    title: "Finalizar atendimento",
                    buttons: {
                      salvar: {
                        label: "Finalizar atendimento",
                        className: "blue-madison",
                        callback: function() {
							var str = $("#admin_form").serialize();
							jQuery.ajax({
								type: 'POST',
								url: 'controller.php',
								data: str+'&finalizar=1',
								success: function( data )
								{
									var response = data.split("#");
									$.bootstrapGrowl(response[0], {
										ele: "body", 
										type: response[1], 
										offset: {
											from: "top",
											amount: 50
										}, 
										align: "left", 
										width: "auto",
										stackup_spacing: 10 
									});
									setTimeout(function(){
										window.location.href="index.php?do=atendimento&acao=listar";
									}, 1000);
								}
									
							});
                        }
                      },
					  voltar: {
                        label: "Voltar",
                        className: "default"
                      }
                    }
			});
			return false;
		});	
    };
	
	// PRONTUARIO - salvar prontuario quando tirar o foco
    if($('#texto_prontuario1').length > 0) {
        $('#texto_prontuario1').on('focusout', function () {
			var str = $("#admin_form").serialize();
			jQuery.ajax({
				type: 'POST',
				url: 'controller.php',
				data: str,
				success: function( data )
				{
					var response = data.split("#");
					$.bootstrapGrowl(response[0], {
						ele: "body", 
						type: response[1], 
						offset: {
							from: "top",
							amount: 50
						}, 
						align: "left", 
							width: "auto",
							stackup_spacing: 10 
						});
						setTimeout(function(){
							location.reload();
						}, 1000);
				}				
			});
			return false;
				
		});	
    };
	
	// PAGAMENTO - Mostrar campos
    if($('#tipo_pagamento').length > 0) {
        $('#tipo_pagamento').change(function() {
			var pagamento = $('#tipo_pagamento').val();
			if(pagamento == 1) {
				$('#autorizacao').hide();
				$('#id_banco').hide();
				$('#total_parcelas').hide();
				$('#numero_cartao').hide();
				$('#data_vencimento').hide();
				$('#nome_cheque').hide();
				$('#banco_cheque').hide();
				$('#agencia_cheque').hide();
				$('#numero_cheque').hide();
			} else {				
				if(pagamento == 2) {
					$('#autorizacao').hide();
					$('#id_banco').hide();
					$('#total_parcelas').hide();
					$('#numero_cartao').hide();
					$('#data_vencimento').show();
					$('#nome_cheque').show();
					$('#banco_cheque').show();
					$('#agencia_cheque').show();
					$('#numero_cheque').show();
				} else {
					if(pagamento == 3) {
						$('#autorizacao').hide();
						$('#id_banco').show();
						$('#total_parcelas').hide();
						$('#numero_cartao').hide();
						$('#data_vencimento').hide();
						$('#nome_cheque').hide();
						$('#banco_cheque').hide();
						$('#agencia_cheque').hide();
						$('#numero_cheque').hide();
					} else {
						if(pagamento == 4) {
							$('#autorizacao').show();
							$('#id_banco').hide();
							$('#total_parcelas').hide();
							$('#numero_cartao').hide();
							$('#data_vencimento').hide();
							$('#nome_cheque').hide();
							$('#banco_cheque').hide();
							$('#agencia_cheque').hide();
							$('#numero_cheque').hide();
						} else {
							if(pagamento == 5 || pagamento == 6) {
								$('#autorizacao').hide();
								$('#id_banco').hide();
								$('#total_parcelas').show();
								$('#numero_cartao').hide();
								$('#data_vencimento').show();
								$('#nome_cheque').hide();
								$('#banco_cheque').hide();
								$('#agencia_cheque').hide();
								$('#numero_cheque').hide();
							} else {
								if(pagamento == 7) {
									$('#autorizacao').hide();
									$('#id_banco').hide();
									$('#total_parcelas').hide();
									$('#numero_cartao').show();
									$('#data_vencimento').hide();
									$('#nome_cheque').hide();
									$('#banco_cheque').hide();
									$('#agencia_cheque').hide();
									$('#numero_cheque').hide();
								} else {
									$('#autorizacao').hide();
									$('#id_banco').hide();
									$('#total_parcelas').show();
									$('#numero_cartao').show();
									$('#data_vencimento').hide();
									$('#nome_cheque').hide();
									$('#banco_cheque').hide();
									$('#agencia_cheque').hide();
									$('#numero_cheque').hide();
								}
							}
						}
					}
				}
			}
		});	
    };
	
	// PAGAMENTO - Mostrar campos
    if($('#tipo_pagamento1').length > 0) {
        $('#tipo_pagamento1').change(function() {
			var pagamento = $('#tipo_pagamento1').val();
			if(pagamento == 1) {
				$('.autorizacao').hide();
				$('.id_banco').hide();
				$('.total_parcelas').hide();
				$('.cartao_numero').hide();
				$('.data_vencimento').hide();
				$('.nome_cheque').hide();
				$('.banco_cheque').hide();
				$('.agencia_cheque').hide();
				$('.numero_cheque').hide();
			} else {				
				if(pagamento == 2) {
					$('.autorizacao').hide();
					$('.id_banco').hide();
					$('.total_parcelas').hide();
					$('.cartao_numero').hide();
					$('.data_vencimento').show();
					$('.nome_cheque').show();
					$('.banco_cheque').show();
					$('.agencia_cheque').show();
					$('.numero_cheque').show();
				} else {
					if(pagamento == 3) {
						$('.autorizacao').hide();
						$('.id_banco').show();
						$('.total_parcelas').hide();
						$('.cartao_numero').hide();
						$('.data_vencimento').hide();
						$('.nome_cheque').hide();
						$('.banco_cheque').hide();
						$('.agencia_cheque').hide();
						$('.numero_cheque').hide();
					} else {
						if(pagamento == 4) {
							$('.autorizacao').show();
							$('.id_banco').hide();
							$('.total_parcelas').hide();
							$('.cartao_numero').hide();
							$('.data_vencimento').hide();
							$('.nome_cheque').hide();
							$('.banco_cheque').hide();
							$('.agencia_cheque').hide();
							$('.numero_cheque').hide();
						} else {
							if(pagamento == 5 || pagamento == 6) {
								$('.autorizacao').hide();
								$('.id_banco').hide();
								$('.total_parcelas').show();
								$('.cartao_numero').hide();
								$('.data_vencimento').show();
								$('.nome_cheque').hide();
								$('.banco_cheque').hide();
								$('.agencia_cheque').hide();
								$('.numero_cheque').hide();
							} else {
								if(pagamento == 7) {
									$('.autorizacao').hide();
									$('.id_banco').hide();
									$('.total_parcelas').hide();
									$('.cartao_numero').show();
									$('.data_vencimento').hide();
									$('.nome_cheque').hide();
									$('.banco_cheque').hide();
									$('.agencia_cheque').hide();
									$('.numero_cheque').hide();
								} else {
									$('.autorizacao').hide();
									$('.id_banco').hide();
									$('.total_parcelas').show();
									$('.cartao_numero').show();
									$('.data_vencimento').hide();
									$('.nome_cheque').hide();
									$('.banco_cheque').hide();
									$('.agencia_cheque').hide();
									$('.numero_cheque').hide();
								}
							}
						}
					}
				}
			}
		});	
    };
	
	// PAGAMENTO - Mostrar campos
    if($('#tipo_pagamento2').length > 0) {
        $('#tipo_pagamento2').change(function() {
			var pagamento = $('#tipo_pagamento2').val();
			if(pagamento == 1) {
				$('.autorizacao').hide();
				$('.id_banco').hide();
				$('.total_parcelas').hide();
				$('.cartao_numero').hide();
				$('.data_vencimento').hide();
				$('.nome_cheque').hide();
				$('.banco_cheque').hide();
				$('.agencia_cheque').hide();
				$('.numero_cheque').hide();
			} else {				
				if(pagamento == 2) {
					$('.autorizacao').hide();
					$('.id_banco').hide();
					$('.total_parcelas').hide();
					$('.cartao_numero').hide();
					$('.data_vencimento').show();
					$('.nome_cheque').show();
					$('.banco_cheque').show();
					$('.agencia_cheque').show();
					$('.numero_cheque').show();
				} else {
					if(pagamento == 3) {
						$('.autorizacao').hide();
						$('.id_banco').show();
						$('.total_parcelas').hide();
						$('.cartao_numero').hide();
						$('.data_vencimento').hide();
						$('.nome_cheque').hide();
						$('.banco_cheque').hide();
						$('.agencia_cheque').hide();
						$('.numero_cheque').hide();
					} else {
						if(pagamento == 4) {
							$('.autorizacao').show();
							$('.id_banco').hide();
							$('.total_parcelas').hide();
							$('.cartao_numero').hide();
							$('.data_vencimento').hide();
							$('.nome_cheque').hide();
							$('.banco_cheque').hide();
							$('.agencia_cheque').hide();
							$('.numero_cheque').hide();
						} else {
							if(pagamento == 5 || pagamento == 6) {
								$('.autorizacao').hide();
								$('.id_banco').hide();
								$('.total_parcelas').show();
								$('.cartao_numero').hide();
								$('.data_vencimento').show();
								$('.nome_cheque').hide();
								$('.banco_cheque').hide();
								$('.agencia_cheque').hide();
								$('.numero_cheque').hide();
							} else {
								if(pagamento == 7) {
									$('.autorizacao').hide();
									$('.id_banco').hide();
									$('.total_parcelas').hide();
									$('.cartao_numero').show();
									$('.data_vencimento').hide();
									$('.nome_cheque').hide();
									$('.banco_cheque').hide();
									$('.agencia_cheque').hide();
									$('.numero_cheque').hide();
								} else {
									$('.autorizacao').hide();
									$('.id_banco').hide();
									$('.total_parcelas').show();
									$('.cartao_numero').show();
									$('.data_vencimento').hide();
									$('.nome_cheque').hide();
									$('.banco_cheque').hide();
									$('.agencia_cheque').hide();
									$('.numero_cheque').hide();
								}
							}
						}
					}
				}
			}
		});	
    };
	
	//ATESTADO - Adicionar riscos
    if($('#adicionar_riscos').length > 0) {
        $('#adicionar_riscos').click(function(){
			var id_risco = $( "#id_risco option:selected" ).val();
			if ( id_risco == "" ) {
				alert('Favor selecionar um tipo de risco.');
				$('#id_risco').focus().select();
				return false;
			}
			var risco = $( "#id_risco option:selected" ).text();
			var codigo_risco = $("#codigo_risco").val();
			var $el = $("#table_riscos");
			$el.prepend('<tr><td><span class="font-md">'+risco+'</span></td><td><span class="font-md">'+codigo_risco+'</span></td><td><a href="javascript:void(0);" class="btn btn-sm red remover_risco" title="Deseja remover esta risco?"><i class="fa fa-times"></i></a></td><input name="id_risco[]" type="hidden"  value="'+id_risco+'" /><input type="hidden" name="codigo_risco[]" value="'+codigo_risco+'" /></tr>').find("tr").first().hide();
			$el.find("tr").first().fadeIn();					
			$( "#id_risco option:first").attr('selected',true);
			$( "#id_risco").select2({
				allowClear: true
			});
			$( "#codigo_risco" ).val("");	
		});	
    };
	
	// ATESTADO - Remover riscos
	$(document).on('click', 'a.remover_risco', function(){
		var item = $(this).parents("tr");	
		item.remove();
	});	
	
	//ATESTADO - Adicionar exames
    if($('#adicionar_exames').length > 0) {
        $('#adicionar_exames').click(function(){
			var id_exame = $( "#id_exame option:selected" ).val();
			if ( id_exame == "" ) {
				alert('Favor selecionar um exame.');
				$('#id_exame').focus().select();
				return false;
			}
			var exame = $( "#id_exame option:selected" ).text();
			var data_exame = $("#data_exame").val();		
			if ( data_exame == "" ) {
				alert('Favor selecionar um data.');
				$('#data_exame').focus();
				return false;
			}
			var $el = $("#table_exames");
			$el.prepend('<tr><td><span class="font-md">'+exame+'</span></td><td><span class="font-md">'+data_exame+'</span></td><td><a href="javascript:void(0);" class="btn btn-sm red remover_exame" title="Deseja remover esta exame?"><i class="fa fa-times"></i></a></td><input name="id_exame[]" type="hidden"  value="'+id_exame+'" /><input type="hidden" name="data_exame[]" value="'+data_exame+'" /></tr>').find("tr").first().hide();
			$el.find("tr").first().fadeIn();					
			$( "#id_exame option:first").attr('selected',true);
			$( "#id_exame").select2({
				allowClear: true
			});
			$( "#data_exame" ).val("");	
		});	
    };
	
	// ATESTADO - Remover exames
	$(document).on('click', 'a.remover_exame', function(){
		var item = $(this).parents("tr");	
		item.remove();
	});	
	
	// SHORTCUT - Atalho para pesquisar tabela
	shortcut.add("F12", function(){
		//window.location.href="index.php?do=tabela_procedimentos";        
	});
	
	//RETORNAR PÁGINA
	$('#voltar').click(function() {
		$(this).fadeOut();
		window.history.go(-1);
    });
	
	//RETORNAR PÁGINA
	$('#fechar').click(function() {
		window.close();		
    });
	
	//MASCARAS TEXT
	var MaskTelefones = function (val) {
	  return val.replace(/\D/g, '').length === 11 ? '(00) 0 0000-0000' : '(00) 0000-00009';
	},
	telOptions = {
	  onKeyPress: function(val, e, field, options) {
		  field.mask(MaskTelefones.apply({}, arguments), options);
		}
	};	
	
	var MaskCPF_CNPJ = function (val) {
	  return val.replace(/\D/g, '').length > 11 ? '00.000.000/0000-00' : '000.000.000-009';
	},
	CCOptions = {
	  onKeyPress: function(val, e, field, options) {
		  field.mask(MaskCPF_CNPJ.apply({}, arguments), options);
		}
	};	
	
	if($('.inteiro').length > 0){
		$('.inteiro').mask('999999');	
	};
	if($('.data').length > 0){
		$('.data').mask('99/99/9999');	
	};
	if($('.hora').length > 0){
		$('.hora').mask('99:99');	
	};
	if($('.telefone').length > 0){
		$('.telefone').mask(MaskTelefones, telOptions);
	};
	if($('.celular').length > 0){
		$('.celular').mask(MaskTelefones, telOptions);
	};
	if($('.cep').length > 0){
		$('.cep').mask('99999-999');	
	};
	if($('.cnpj_cpf').length > 0){
		$('.cnpj_cpf').mask(MaskCPF_CNPJ, CCOptions);
	};
	if($('.cpf_cnpj').length > 0){
		$('.cpf_cnpj').mask(MaskCPF_CNPJ, CCOptions);
	};
	if($('.cpf').length > 0){
		$('.cpf').mask('999.999.999-99');	
	};
	if($('.cnpj').length > 0){
		$('.cnpj').mask('99.999.999/9999-99');
	};
	if($('.numero_cartao').length > 0){
		$('.numero_cartao').mask('9999****9999');
	};
	if($('.moeda').length > 0){
		$('.moeda').maskMoney({symbol:'R$ ', thousands:'.', decimal:',', symbolStay: true, allowNegative: true});	
	};	
	if($('.decimal').length > 0){
		$('.decimal').maskMoney({thousands:'.', decimal:',', symbolStay: false, allowNegative: true});	
	};
	if($('.moedap').length > 0){
		$('.moedap').maskMoney({symbol:'R$ ', thousands:'.', decimal:',', precision: 3, symbolStay: true, allowNegative: true});	
	};	
	if($('.decimalp').length > 0){
		$('.decimalp').maskMoney({thousands:'.', decimal:',', precision: 3, symbolStay: false, allowNegative: true});	
	};
	
	if ($('.calendario').length > 0) {
		$('.calendario').datepicker({
			rtl: Metronic.isRTL(),
			orientation: "left",
			language: "pt-BR",
			format: "dd/mm/yyyy",
			todayBtn: "linked",
			autoclose: true
		});
	};
	
	if ($('.datahora').length > 0) {
		var dataAtual = new Date();
		$(".datahora").datetimepicker({
            isRTL: Metronic.isRTL(),
			format: "dd/mm/yyyy - hh:ii",
            autoclose: true,
			todayBtn: "linked",
			// startDate: dataAtual,
            pickerPosition: (Metronic.isRTL() ? "bottom-right" : "bottom-left"),
            minuteStep: 15
		});
	};
	
	$('input').bind('change', function(){
		if($(this).hasClass("caps")){
			this.value = this.value.toUpperCase();
			this.value = this.value.normalize('NFD').replace(/[\u0300-\u036f]/g, "");
		}	
	});
	
	$('textarea').bind('change', function(){
		if($(this).hasClass("caps")){
			this.value = this.value.toUpperCase();
			this.value = this.value.normalize('NFD').replace(/[\u0300-\u036f]/g, "");
		}
	});
   
   $('').bind('keypress', function(e) {
       if (e.keyCode == 13) {
           $(this).next().focus();
           return false;
       } 
   });
	
    // Retirar o enter e usar como tab e verificar se tem a classe buscar e submeter o formulario
    $('input, select, button').on('keypress', function (e) {
		if (e.which == 13) {
			var cl = $(this).hasClass('buscar');
			if(cl) {
				$(this).parents('form:first').submit();	
			} else {
				$(this).parent().parent().next().find('input, textarea, select, button').focus();
			}
            return false;
        }
    });
	
	if ($('.wysihtml5').size() > 0) {
		$('.wysihtml5').wysihtml5({
			"stylesheets": ["./assets/plugins/bootstrap-wysihtml5/wysiwyg-color.css"]
		});		
    };
		
	function dataFormatResult(data) {
		var markup = "<table><tr>";
		markup += "<td valign='top'><h5>" + data.text + "</h5>";
		markup += "</td></tr></table>";
		return markup;
	}

	function dataFormatSelection(data) {
		return data.text;
	}
	
	if ($('.select_paciente').size() > 0) {
		$('.select_paciente').select2({
			placeholder: 'Pesquisa por nome...',
			minimumInputLength: 3,
			ajax: {
				url: 'webservices/json-paciente.php',
				dataType: 'json',
				quietMillis: 100,
				data: function (term, page) {
					return {
						term: term, //search term
						page_limit: 10 // page size
					};
				},
				results: function (data, page) {
					return { results: data.results };
				}

			},
			initSelection: function(element, callback) {
				return $.getJSON("webservices/json-paciente.php?id=" + (element.val()), null, function(data) {
					return callback(data);
				});
			},
            formatResult: dataFormatResult, // omitted for brevity, see the source of this page
            formatSelection: dataFormatSelection, // omitted for brevity, see the source of this page
            dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
            escapeMarkup: function (m) {
                return m;
            }

		});
	}
	
	// TABELA DINAMICA
	if($('.dataTable').length > 0){
		$('.dataTable').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"iDisplayLength": 50,
			"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			},
			"stateSave": false
		});
	};
	
	if($('.dataTable-desc').length > 0){
		$('.dataTable-desc').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"order": [[ 0, "desc" ]],
			"columnDefs": [
				{
					"targets": [ 0 ],
					"visible": false,
					"searchable": false
				}
			],
			"iDisplayLength": 50,
			"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			}
		});
	};
	
	if($('.dataTable-asc').length > 0){
		$('.dataTable-asc').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"order": [[ 0, "asc" ]],
			"columnDefs": [
				{
					"targets": [ 0 ],
					"visible": false,
					"searchable": false
				}
			],
			"iDisplayLength": 50,
			"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			}
		});
	};
	
	if($('.dataTable-noinfo').length > 0){
		$('.dataTable-noinfo').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"paging": false,
			"ordering": false,
			"info": false,
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			},
			"stateSave": false
		});
	};
	
	if($('.dataTable-nopage').length > 0){
		$('.dataTable-nopage').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"paging": false,
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			}
		});
	};
	
	if($('.dataTable-nopage-save').length > 0){
		$('.dataTable-nopage-save').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"paging": false,
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			},
			"stateSave": true
		});
	};
	
	if($('.dataTable-nopage-asc').length > 0){
		$('.dataTable-nopage-asc').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"order": [[ 0, "asc" ]],
			"columnDefs": [
				{
					"targets": [ 0 ],
					"visible": false,
					"searchable": false
				}
			],
			"paging": false,
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			}
		});
	};
	
	if($('.dataTable-nopage-desc').length > 0){
		$('.dataTable-nopage-desc').DataTable({
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			],
			"order": [[ 0, "desc" ]],
			"columnDefs": [
				{
					"targets": [ 0 ],
					"visible": false,
					"searchable": false
				}
			],
			"paging": false,
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			}
		});
	};
	
	// TABELA CHECKTABLE
	if($('.checkTable').length > 0){
		 $('.checkTable').DataTable( {	
			dom: 'Bfrtip',	
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			], 		 
			"iDisplayLength": 50,
			"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "Todos"]],
			"language":{
				"sSearch": "<span>Buscar:</span> ",
				"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
				"sLengthMenu": "_MENU_ <span>registros por página</span>",
				"sProcessing":   "Processando...",
				"sZeroRecords":  "Não foram encontrados resultados",
				"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
				"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
				"sInfoPostFix":  "",
				"sDecimal": ",",
				"oPaginate": {
					"sFirst":    "Primeiro",
					"sPrevious": "Anterior",
					"sNext":     "Seguinte",
					"sLast":     "Último"
				}
			},
			"stateSave": false,
			 columnDefs: [ {
				orderable: false,
				targets:   0
			} ],
			order: [[ 3, 'asc' ]]
		});
		$(".group-checkable").change(function () {
			var set = jQuery(this).attr("data-set");
			var checked = jQuery(this).is(":checked");
			jQuery(set).each(function () {
				if (checked) {
					this.checked = true;
					$(this).parents('tr').addClass("info");
				} else {
					this.checked = false;
					$(this).parents('tr').removeClass("info");
				}
			});
			jQuery.uniform.update(set);
		});
		$(".checkboxes").change(function () {
			var checked = jQuery(this).is(":checked");
			if (checked) {
				this.checked = true;
				$(this).parents('tr').addClass("info");
			} else {
				this.checked = false;
				$(this).parents('tr').removeClass("info");
			}
			jQuery.uniform.update(set);
		});
	};

    //* BEGIN:CORE HANDLERS *//
    // this function handles responsive layout on screen size resize or mobile device rotate.

    // Handles header
    var handleHeader = function () {        
        // handle search box expand/collapse        
        $('.page-header').on('click', '.search-form', function (e) {
            $(this).addClass("open");
            $(this).find('.form-control').focus();

            $('.page-header .search-form .form-control').on('blur', function (e) {
                $(this).closest('.search-form').removeClass("open");
                $(this).unbind("blur");
            });
        });

        // handle hor menu search form on enter press
        $('.page-header').on('keypress', '.hor-menu .search-form .form-control', function (e) {
            if (e.which == 13) {
                $(this).closest('.search-form').submit();
                return false;
            }
        });

        // handle header search button click
        $('.page-header').on('mousedown', '.search-form.open .submit', function (e) {
            e.preventDefault();
            e.stopPropagation();
            $(this).closest('.search-form').submit();
        });

        // handle scrolling to top on responsive menu toggler click when header is fixed for mobile view
        $('body').on('click', '.page-header-top-fixed .page-header-top .menu-toggler', function(){
            Metronic.scrollTop();
        });     
    };

    // Handles main menu
    var handleMainMenu = function () {

        // handle menu toggler icon click
        $(".page-header .menu-toggler").on("click", function(event) {
            if (Metronic.getViewPort().width < resBreakpointMd) {
                var menu = $(".page-header .page-header-menu");
                if (menu.is(":visible")) {
                    menu.slideUp(300);
                } else {  
                    menu.slideDown(300);
                }

                if ($('body').hasClass('page-header-top-fixed')) {
                    Metronic.scrollTop();
                }
            }
        });

        // handle sub dropdown menu click for mobile devices only
        $(".hor-menu .dropdown-submenu > a").on("click", function(e) {
            if (Metronic.getViewPort().width < resBreakpointMd) {
                if ($(this).next().hasClass('dropdown-menu')) {
                    e.stopPropagation();
                    if ($(this).parent().hasClass("open")) {
                        $(this).parent().removeClass("open");
                        $(this).next().hide();
                    } else {
                        $(this).parent().addClass("open");
                        $(this).next().show();
                    }
                }
            }
        });

        // handle hover dropdown menu for desktop devices only
        if (Metronic.getViewPort().width >= resBreakpointMd) {
            $('.hor-menu [data-hover="megamenu-dropdown"]').not('.hover-initialized').each(function() {   
                $(this).dropdownHover(); 
                $(this).addClass('hover-initialized'); 
            });
        } 

        // handle auto scroll to selected sub menu node on mobile devices
        $(document).on('click', '.hor-menu .menu-dropdown > a[data-hover="megamenu-dropdown"]', function() {
            if (Metronic.getViewPort().width < resBreakpointMd) {
                Metronic.scrollTo($(this));
            }
        });

        // hold mega menu content open on click/tap. 
        $(document).on('click', '.mega-menu-dropdown .dropdown-menu, .classic-menu-dropdown .dropdown-menu', function (e) {
            e.stopPropagation();
        });

        // handle fixed mega menu(minimized) 
        $(window).scroll(function() {                
            var offset = 75;
            if ($('body').hasClass('page-header-menu-fixed')) {
                if ($(window).scrollTop() > offset){
                    $(".page-header-menu").addClass("fixed");
                } else {
                    $(".page-header-menu").removeClass("fixed");  
                }
            }

            if ($('body').hasClass('page-header-top-fixed')) {
                if ($(window).scrollTop() > offset){
                    $(".page-header-top").addClass("fixed");
                } else {
                    $(".page-header-top").removeClass("fixed");  
                }
            }
        });
    };

    // Handle sidebar menu links
    var handleMainMenuActiveLink = function(mode, el) {
        var url = location.hash.toLowerCase();    

        var menu = $('.hor-menu');

        if (mode === 'click' || mode === 'set') {
            el = $(el);
        } else if (mode === 'match') {
            menu.find("li > a").each(function() {
                var path = $(this).attr("href").toLowerCase();       
                // url match condition         
                if (path.length > 1 && url.substr(1, path.length - 1) == path.substr(1)) {
                    el = $(this);
                    return; 
                }
            });
        }

        if (!el || el.size() == 0) {
            return;
        }

        if (el.attr('href').toLowerCase() === 'javascript:;' || el.attr('href').toLowerCase() === '#') {
            return;
        }        

        // disable active states
        menu.find('li.active').removeClass('active');
        menu.find('li > a > .selected').remove();
        menu.find('li.open').removeClass('open');

        el.parents('li').each(function () {
            $(this).addClass('active');

            if ($(this).parent('ul.navbar-nav').size() === 1) {
                $(this).find('> a').append('<span class="selected"></span>');
            }
        });
    };

    // Handles main menu on window resize
    var handleMainMenuOnResize = function() {
        // handle hover dropdown menu for desktop devices only
        var width = Metronic.getViewPort().width;
        var menu = $(".page-header-menu");
            
        if (width >= resBreakpointMd && menu.data('breakpoint') !== 'desktop') { 
            // reset active states
            $('.hor-menu [data-toggle="dropdown"].active').removeClass('open');

            menu.data('breakpoint', 'desktop');
            $('.hor-menu [data-hover="megamenu-dropdown"]').not('.hover-initialized').each(function() {   
                $(this).dropdownHover(); 
                $(this).addClass('hover-initialized'); 
            });
            $('.hor-menu .navbar-nav li.open').removeClass('open');
            $(".page-header-menu").css("display", "block");
        } else if (width < resBreakpointMd && menu.data('breakpoint') !== 'mobile') {
            // set active states as open
            $('.hor-menu [data-toggle="dropdown"].active').addClass('open');
            
            menu.data('breakpoint', 'mobile');
            // disable hover bootstrap dropdowns plugin
            $('.hor-menu [data-hover="megamenu-dropdown"].hover-initialized').each(function() {   
                $(this).unbind('hover');
                $(this).parent().unbind('hover').find('.dropdown-submenu').each(function() {
                    $(this).unbind('hover');
                });
                $(this).removeClass('hover-initialized');    
            });
        } else if (width < resBreakpointMd) {
            //$(".page-header-menu").css("display", "none");  
        }
    };

    var handleContentHeight = function() {
        var height;

        if ($('body').height() < Metronic.getViewPort().height) {            
            height = Metronic.getViewPort().height -
                $('.page-header').outerHeight() - 
                ($('.page-container').outerHeight() - $('.page-content').outerHeight()) -
                $('.page-prefooter').outerHeight() - 
                $('.page-footer').outerHeight();

            $('.page-content').css('min-height', height);
        }
    };

    // Handles the go to top button at the footer
    var handleGoTop = function () {
        var offset = 100;
        var duration = 500;

        if (navigator.userAgent.match(/iPhone|iPad|iPod/i)) {  // ios supported
            $(window).bind("touchend touchcancel touchleave", function(e){
               if ($(this).scrollTop() > offset) {
                    $('.scroll-to-top').fadeIn(duration);
                } else {
                    $('.scroll-to-top').fadeOut(duration);
                }
            });
        } else {  // general 
            $(window).scroll(function() {
                if ($(this).scrollTop() > offset) {
                    $('.scroll-to-top').fadeIn(duration);
                } else {
                    $('.scroll-to-top').fadeOut(duration);
                }
            });
        }
        
        $('.scroll-to-top').click(function(e) {
            e.preventDefault();
            $('html, body').animate({scrollTop: 0}, duration);
            return false;
        });
    };

    //* END:CORE HANDLERS *//

    return {
        
        // Main init methods to initialize the layout
        // IMPORTANT!!!: Do not modify the core handlers call order.

        initHeader: function() {
            handleHeader(); // handles horizontal menu    
            handleMainMenu(); // handles menu toggle for mobile
            Metronic.addResizeHandler(handleMainMenuOnResize); // handle main menu on window resize

            if (Metronic.isAngularJsApp()) {      
                handleMainMenuActiveLink('match'); // init sidebar active links 
            }
        },

        initContent: function() {
            handleContentHeight(); // handles content height 
        },

        initFooter: function() {
            handleGoTop(); //handles scroll to top functionality in the footer
        },

        init: function () {            
            this.initHeader();
            this.initContent();
            this.initFooter();
        },

        setMainMenuActiveLink: function(mode, el) {
            handleMainMenuActiveLink(mode, el);
        },

        closeMainMenu: function() {
            $('.hor-menu').find('li.open').removeClass('open');

            if (Metronic.getViewPort().width < resBreakpointMd && $('.page-header-menu').is(":visible")) { // close the menu on mobile view while laoding a page 
                $('.page-header .menu-toggler').click();
            }
        },

        getLayoutImgPath: function() {
            return Metronic.getAssetsPath() + layoutImgPath;
        },

        getLayoutCssPath: function() {
            return Metronic.getAssetsPath() + layoutCssPath;
        }
    };

}();