<?php
  /**
   * Financeiro
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyright 2015
   * @version 3
   */
  if (!defined('_VALID_PHP'))
      die('Acesso direto a esta classe não é permitido.');
  if (!$usuario->is_Administrativo())
	  redirect_to('login.php');
  
  $datafiltro = get('datafiltro');
?>
<?php switch(Filter::$acao): case 'recebidas': ?>
<?php if(!$usuario->is_Administrativo()): print Filter::warning(lang('NAOAUTORIZADO')); return; endif;
$id_banco = (get('id_banco')) ? get('id_banco') : 0; 
$dataini = (get('dataini')) ? get('dataini') : date('d/m/Y', strtotime('-15 days')); 
$datafim = (get('datafim')) ? get('datafim') : date('d/m/Y'); 

?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var id_banco = $("#id_banco").val();
			var dataini = $("#dataini").val();
			var datafim = $("#datafim").val();
			var valor = $("#valor").val();
			window.location.href = 'index.php?do=faturamento&acao=recebidas&dataini='+ dataini +'&datafim='+ datafim +'&id_banco='+ id_banco;
		});
	});
	// ]]>
</script>
<!-- INICIO BOX MODAL -->
<div id='alterar-receita' class='modal fade' tabindex='-1'>
	<div class='modal-dialog'>
		<div class='modal-content'>
			<div class='modal-header'>
				<button type='button' class='close' data-dismiss='modal' aria-hidden='true'></button>
				<h4 class='modal-title'><?php echo lang('RECEITA');?></h4>
			</div>
			<form action='' method='post' name='receita_form' id='receita_form' >
				<div class='modal-body'>
					<div class='row'>
						<div class='col-md-12'>
							<p><?php echo lang('BANCO');?></p>
							<p>	
								<select class='select2me form-control' id='id_banco2' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
							<div id="cartoes">
							<p><?php echo lang('PAGAMENTO');?></p>
							<p>	
								<select class="select2me form-control" id="tipo" name="tipo" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getTipoPagamento();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->tipo;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
							</div>
							<p><?php echo lang('DATA_PAGAMENTO');?></p>
							<p>	
								<input type='text' class='form-control data calendario' id='data_pagamento' name='data_pagamento' value='<?php echo date("d/m/Y");?>'>
							</p>
						</div>
					</div>
				</div>
				<div class='modal-footer'>
					<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
					<button type='button' data-dismiss='modal' class='btn default'><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm('processarDataReceita', 'receita_form');?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_RECEITASPAGAS');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW TABELA -->
			<div class='row'>
				<div class='col-md-12'>
					<!-- INICIO TABELA -->						
					<div class='portlet light'>
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-check font-<?php echo $core->primeira_cor;?>'></i>								
								<span class='font-<?php echo $core->primeira_cor;?>'><?php echo lang('FINANCEIRO_RECEITASPAGAS');?></span>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me form-control input-large" name="id_banco" id="id_banco" data-placeholder="<?php echo lang('SELECIONE_BANCO');?>" >
										<option value=""></option>
										<?php 
											$retorno_row = $faturamento->getBancos();
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_banco) echo 'selected="selected"';?>><?php echo $srow->banco;?></option>
										<?php
												endforeach;
											unset($srow);
											endif;
										?>
									</select>
									<br/>
									<br/>
									<label><?php echo lang('SELECIONE_PERIODO');?>&nbsp;&nbsp;</label><input type="text" class="form-control input-medium calendario data" name="dataini" id="dataini" value="<?php echo $dataini;?>" >
									<input type="text" class="form-control input-medium calendario data" name="datafim" id="datafim" value="<?php echo $datafim;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR');?></button>
								</div>
							</form>
						</div>
						<div class='portlet-body'>
							<table class='table table-bordered table-striped table-condensed table-advance dataTable-asc'>
								<thead class='flip-content'>
									<tr>
										<th>#</th>
										<th>#</th>
										<th><?php echo lang('PAGAMENTO');?></th>
										<th><?php echo lang('BANCO');?></th>
										<th><?php echo lang('NOME');?></th>
										<th><?php echo lang('DESCRICAO');?></th>
										<th width="70px"><?php echo lang('VALOR');?></th>
										<th><?php echo lang('VENCIMENTO');?></th>
										<th width="130px"><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total = 0;
										$descricao = '';
										$retorno_row = $faturamento->getReceitasPagas($dataini, $datafim, $id_banco);
										if($retorno_row):
											foreach ($retorno_row as $exrow):
											$total += $exrow->valor_pago;
											if(trim($exrow->descricao) != ''){
												$descricao = $exrow->descricao;
											} elseif($exrow->tipo == 0){
												$descricao = 'TRANSFERENCIA ENTRE BANCO';
											} elseif($exrow->tipo == 1) {
												$descricao = $exrow->pagamento.' - CAIXA ID:'.$exrow->id_caixa;
											}
											$pago = '';
											if($exrow->pago) {
												$pago = "<span class='label label-sm bg-green'>".lang('SIM')."</span>";
											} else {
												$pago = "<span class='label label-sm bg-red'>".lang('NAO')."</span>";
											}
											$nome = ($exrow->id_cadastro) ? $exrow->cadastro : $exrow->paciente;
					
								?>
											<tr>
												<td><?php echo $exrow->controle;?></td>
												<td><?php echo $exrow->id;?></td>
												<td><?php echo exibedata($exrow->data_pagamento);?></td>
												<td><?php echo ($exrow->banco);?></td>
												<td><?php echo ($nome);?></td>
												<td><?php echo ($exrow->descricao);?></td>
												<td><?php echo moeda($exrow->valor_pago);?></td>
												<td><?php echo exibedata($exrow->data_vencimento);?></td>
												<td>		
													<a href="javascript:void(0);" onclick="javascript:void window.open('ver_receita.php?id_receita=<?php echo $exrow->id;?>','<?php echo lang('VISUALIZAR').$exrow->id;?>','width=560,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>" class="btn btn-icon-only grey-cascade"><i class="fa fa-search"></i></a>
												<?php if ($usuario->is_Master()): ?>
													<a target="_blank" href='index.php?do=faturamento&acao=editarreceita&id=<?php echo $exrow->id;?>' class='btn btn-icon-only blue' title='<?php echo lang('EDITAR').': '.$exrow->descricao;?>'><i class='fa fa-pencil'></i></a>
													<a href='javascript:void(0);' class='btn btn-icon-only red apagar' id='<?php echo $exrow->id;?>' acao='apagarReceita' title='<?php echo lang('APAGAR').": ".$exrow->descricao;?>'><i class='fa fa-times'></i></a>
												<?php endif; ?>
												</td>
											</tr>
								<?php 
											endforeach;
											unset($exrow);
										endif;
								?>
								</tbody>
								<tfoot>
									<tr>
										<td colspan="6"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo moeda($total);?></strong></td>
										<td></td>
										<td></td>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case 'receitas': ?>
<?php if(!$usuario->is_Administrativo()): print Filter::warning(lang('NAOAUTORIZADO')); return; endif;
$id_banco = (get('id_banco')) ? get('id_banco') : 0; 
$dataini = (get('dataini')) ? get('dataini') : date('d/m/Y', strtotime('-15 days')); 
$datafim = (get('datafim')) ? get('datafim') : date('d/m/Y'); 

?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var id_banco = $("#id_banco").val();
			var dataini = $("#dataini").val();
			var datafim = $("#datafim").val();
			var valor = $("#valor").val();
			window.location.href = 'index.php?do=faturamento&acao=receitas&dataini='+ dataini +'&datafim='+ datafim +'&id_banco='+ id_banco;
		});
	});
	// ]]>
</script>
<!-- INICIO BOX MODAL -->
<div id='alterar-receita' class='modal fade' tabindex='-1'>
	<div class='modal-dialog'>
		<div class='modal-content'>
			<div class='modal-header'>
				<button type='button' class='close' data-dismiss='modal' aria-hidden='true'></button>
				<h4 class='modal-title'><?php echo lang('RECEITA');?></h4>
			</div>
			<form action='' method='post' name='receita_form' id='receita_form' >
				<div class='modal-body'>
					<div class='row'>
						<div class='col-md-12'>
							<p><?php echo lang('BANCO');?></p>
							<p>	
								<select class='select2me form-control' id='id_banco2' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
							<div id="cartoes">
							<p><?php echo lang('PAGAMENTO');?></p>
							<p>	
								<select class="select2me form-control" id="tipo" name="tipo" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getTipoPagamento();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->tipo;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
							</div>
							<p><?php echo lang('DATA_VENCIMENTO');?></p>
							<p>	
								<input type='text' class='form-control data calendario' id='data_vencimento' name='data_vencimento' value='<?php echo date("d/m/Y");?>'>
							</p>
						</div>
					</div>
				</div>
				<div class='modal-footer'>
					<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
					<button type='button' data-dismiss='modal' class='btn default'><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm('processarDataReceita', 'receita_form');?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_RECEITASRECEBER');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW TABELA -->
			<div class='row'>
				<div class='col-md-12'>
					<!-- INICIO TABELA -->						
					<div class='portlet light'>
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-exclamation font-<?php echo $core->primeira_cor;?>'></i>								
								<span class='font-<?php echo $core->primeira_cor;?>'><?php echo lang('FINANCEIRO_RECEITASRECEBER');?></span>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me form-control input-large" name="id_banco" id="id_banco" data-placeholder="<?php echo lang('SELECIONE_BANCO');?>" >
										<option value=""></option>
										<?php 
											$retorno_row = $faturamento->getBancos();
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_banco) echo 'selected="selected"';?>><?php echo $srow->banco;?></option>
										<?php
												endforeach;
											unset($srow);
											endif;
										?>
									</select>
									<br/>
									<br/>
									<label><?php echo lang('SELECIONE_PERIODO');?>&nbsp;&nbsp;</label><input type="text" class="form-control input-medium calendario data" name="dataini" id="dataini" value="<?php echo $dataini;?>" >
									<input type="text" class="form-control input-medium calendario data" name="datafim" id="datafim" value="<?php echo $datafim;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR');?></button>
								</div>
							</form>
						</div>
						<div class='portlet-body'>
							<table class='table table-bordered table-striped table-condensed table-advance dataTable-asc'>
								<thead class='flip-content'>
									<tr>
										<th>#</th>
										<th>#</th>
										<th><?php echo lang('VENCIMENTO');?></th>
										<th><?php echo lang('BANCO');?></th>
										<th><?php echo lang('NOME');?></th>
										<th><?php echo lang('DESCRICAO');?></th>
										<th style="width: 70px"><?php echo lang('VALOR');?></th>
										<th><?php echo lang('PAGO');?></th>
										<th style="width: 180px"><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total = 0;
										$descricao = '';
										$retorno_row = $faturamento->getReceitas($dataini, $datafim, $id_banco);
										if($retorno_row):
											foreach ($retorno_row as $exrow):
											$total += $exrow->valor_pago;
											if(trim($exrow->descricao) != ''){
												$descricao = $exrow->descricao;
											} elseif($exrow->tipo == 0){
												$descricao = 'TRANSFERENCIA ENTRE BANCO';
											} elseif($exrow->tipo == 1) {
												$descricao = $exrow->pagamento.' - CAIXA ID:'.$exrow->id_caixa;
											} else {
												$nome = ($exrow->id_cadastro) ? ' - '.getValue("nome","cadastro","id = '".$exrow->id_cadastro."'") : "";
												$descricao = $exrow->pagamento.$nome;
											}
											$nome = ($exrow->id_cadastro) ? $exrow->cadastro : $exrow->paciente;
					
								?>
											<tr>
												<td><?php echo $exrow->controle;?></td>
												<td><?php echo $exrow->id;?></td>
												<td><?php echo exibedata($exrow->data_vencimento);?></td>
												<td><?php echo ($exrow->banco);?></td>
												<td><?php echo ($nome);?></td>
												<td><?php echo ($exrow->descricao);?></td>
												<td><?php echo moeda($exrow->valor);?></td>
												<td><?php echo statusPagamento($exrow->pago);?></td>
												<td>
													<a href="javascript:void(0);" onclick="javascript:void window.open('ver_receita.php?id_receita=<?php echo $exrow->id;?>','<?php echo lang('VISUALIZAR').$exrow->id;?>','width=560,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>" class="btn btn-icon-only grey-cascade"><i class="fa fa-search"></i></a>
												<?php if(!$exrow->pago): ?>
													<a href='javascript:void(0);' class='btn btn-icon-only green pagarfinanceiro' id='<?php echo $exrow->id;?>' title='<?php echo lang('PAGAR').$descricao;?>'><i class='fa fa-check'></i></a>
												<?php endif; ?>
												<?php if (!$exrow->pago or $usuario->is_Master()): ?>
													<a target="_blank" href='index.php?do=faturamento&acao=editarreceita&id=<?php echo $exrow->id;?>' class='btn btn-icon-only blue' title='<?php echo lang('EDITAR').': '.$exrow->descricao;?>'><i class='fa fa-pencil'></i></a>
													<a href='javascript:void(0);' class='btn btn-icon-only red apagar' id='<?php echo $exrow->id;?>' acao='apagarReceita' title='<?php echo lang('APAGAR').": ".$descricao;?>'><i class='fa fa-times'></i></a>
												<?php endif; ?>
												</td>
											</tr>
								<?php 
											endforeach;
											unset($exrow);
										endif;
								?>
								</tbody>
								<tfoot>
									<tr>
										<td colspan="6"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo moeda($total);?></strong></td>
										<td colspan="2"></td>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<div id="pagar-receita" class="modal fade" role="dialog" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-usd">&nbsp;&nbsp;</i><?php echo lang('PAGAR');?></span></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="pagar_form" id="pagar_form" class="form-horizontal">
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('BANCO');?></label>
									<div class="col-md-8">
										<select class='select2me form-control' id='id_banco2' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
											<option value=""></option>
											<?php 
												$retorno_row = $faturamento->getBancos();
												if ($retorno_row):
													foreach ($retorno_row as $srow):
											?>
														<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
											<?php
													endforeach;
													unset($srow);
												endif;
											?>
										</select>
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('VALOR_PAGO');?></label>
									<div class="col-md-8">
										<input type='text' class='form-control decimal' name='valor_pago'>
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('DATA_PAGAMENTO');?></label>
									<div class="col-md-8">
										<input type='text' class='form-control data calendario' name='data_pagamento' value='<?php echo date("d/m/Y");?>'>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm('pagarFinanceiro', 'pagar_form');?>
</div>
<?php break;?>
<?php case "adicionar": 
?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_ADICIONAR_RECEITA');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW FORMULARIO -->
			<div class='row'>
				<div class='col-md-12'>		
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class='fa fa-plus-square font-<?php echo $core->primeira_cor;?>'>&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_ADICIONAR_RECEITA');?>
							</div>
						</div>
						<div class='portlet-body form'>
							<!-- INICIO FORM-->
							<form action='' method='post' class='form-horizontal' name='admin_form' id='admin_form'>
								<div class='form-body'>
									<div class='row'>
										<div class='col-md-12'>
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('CLINICA');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_empresa" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $empresa->getEmpresasTodas();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>"><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('BANCO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getBancos();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PACIENTE');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_paciente' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $paciente->getPacientes();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('CADASTRO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_cadastro' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $cadastro->getCadastros();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DESCRICAO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control caps' name='descricao'>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('VALOR');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control moeda' name='valor'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DATA_PAGAMENTO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control calendario data' name='data_pagamento'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('CATEGORIA');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_pai' id='id_pai_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getPai('"C"');
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->conta;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PLANO_CONTAS');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_conta' id='id_conta_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PAGAMENTO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='tipo' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getTipoPagamento();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->tipo;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<div class='form-actions'>
									<div class='row'>
										<div class='col-md-12'>
											<div class='col-md-6'>
												<div class='row'>
													<div class='col-md-offset-3 col-md-9'>
														<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
														<button type='button' id='voltar' class='btn default'><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class='col-md-6'>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm('processarCreditoBanco');?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "editarreceita": 
	  $row = Core::getRowById('receita', Filter::$id);
	  $id_pai = getValue("id_pai", "conta", "id = ".$row->id_conta);
?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_RECEITAEDITAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW FORMULARIO -->
			<div class='row'>
				<div class='col-md-12'>		
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class='fa fa-edit font-<?php echo $core->primeira_cor;?>'>&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_RECEITAEDITAR');?>
							</div>
						</div>
						<div class='portlet-body form'>
							<!-- INICIO FORM-->
							<form action='' method='post' class='form-horizontal' name='admin_form' id='admin_form'>
								<div class='form-body'>
									<div class='row'>
										<div class='col-md-12'>
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('CLINICA');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_empresa" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $empresa->getEmpresasTodas();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>" <?php if($srow->id == $row->id_empresa) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('BANCO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getBancos();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>' <?php if($srow->id == $row->id_banco) echo 'selected="selected"';?>><?php echo $srow->banco;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PACIENTE');?></label>
														<div class='col-md-9'>
															<input readonly type='text' class='form-control caps' value='<?php echo ($row->id_paciente) ? getValue('nome', 'paciente', 'id='.$row->id_paciente) : '';?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('CADASTRO');?></label>
														<div class='col-md-9'>
															<input readonly type='text' class='form-control caps' value='<?php echo ($row->id_cadastro) ? getValue('nome', 'cadastro', 'id='.$row->id_cadastro) : '';?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DESCRICAO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control caps' name='descricao' value='<?php echo $row->descricao;?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PAGAMENTO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='tipo' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getTipoPagamento();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>' <?php if($srow->id == $row->tipo) echo 'selected="selected"';?>><?php echo $srow->tipo;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DATA_CAIXA');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control calendario data' name='data_caixa' value='<?php echo exibeData($row->data_caixa);?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('USUARIO_CAIXA');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='usuario_caixa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $usuario->getUsuarios();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->usuario;?>' <?php if($srow->usuario == $row->usuario_caixa) echo 'selected="selected"';?>><?php echo $srow->usuario;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('VALOR');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control moeda' name='valor' value='<?php echo moeda($row->valor);?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('VALOR_PAGO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control moeda' name='valor_pago' value='<?php echo moeda($row->valor_pago);?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DATA_VENCIMENTO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control calendario data' name='data_vencimento' value='<?php echo exibeData($row->data_vencimento);?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DATA_PAGAMENTO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control calendario data' name='data_pagamento' value='<?php echo exibeData($row->data_pagamento);?>'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('CATEGORIA');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_pai' id='id_pai_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getPai('"C"');
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>' <?php if($srow->id == $id_pai) echo 'selected="selected"';?>><?php echo $srow->conta;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<?php 
													$retorno_row = $faturamento->getFilho($id_pai);
												?>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PLANO_CONTAS');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_conta' id='id_conta_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id_filho;?>' <?php if($srow->id_filho == $row->id_conta) echo 'selected="selected"';?>><?php echo $srow->filho;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'></label>
														<div class='col-md-9'>
															<div class='md-checkbox-list'>
																<div class='md-checkbox'>
																	<input type='checkbox' class='md-check' name='pago' id='pago' value='1' <?php if($row->pago) echo 'checked="checked"';?>>
																	<label for='pago'>
																	<span></span>
																	<span class='check'></span>
																	<span class='box'></span>
																	<?php echo lang('PAGO');?></label>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<input type='hidden' name='id_pagamento' value='<?php echo $row->id_pagamento;?>' />
								<input type='hidden' name='id_receita' value='<?php echo $row->id;?>' />
								<div class='form-actions'>
									<div class='row'>
										<div class='col-md-12'>
											<div class='col-md-6'>
												<div class='row'>
													<div class='col-md-offset-3 col-md-9'>
														<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
														<button type='button' id='voltar' class='btn default'><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class='col-md-6'>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm('editarReceitas');?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case 'cheques': ?>
<?php if(!$usuario->is_Administrativo()): print Filter::warning(lang('NAOAUTORIZADO')); return; endif;
?>
<!-- INICIO BOX MODAL -->
<div id='pagar-cheque' class='modal fade' tabindex='-1'>
	<div class='modal-dialog'>
		<div class='modal-content'>
			<div class='modal-header'>
				<button type='button' class='close' data-dismiss='modal' aria-hidden='true'></button>
				<h4 class='modal-title'><?php echo lang('PAGAR_CHEQUE');?></h4>
			</div>
			<form action='' method='post' name='cheque_form' id='cheque_form' >
				<div class='modal-body'>
					<div class='row'>
						<div class='col-md-12'>
							<p><?php echo lang('BANCO');?></p>
							<p>	
								<select class='select2me form-control' id='id_banco2' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
						</div>
					</div>
				</div>
				<div class='modal-footer'>
					<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
					<button type='button' data-dismiss='modal' class='btn default'><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm('pagarCheque', 'cheque_form');?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_CHEQUES');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW TABELA -->
			<div class='row'>
				<div class='col-md-12'>
					<!-- INICIO TABELA -->						
					<div class='portlet light'>
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-stack-overflow font-<?php echo $core->primeira_cor;?>'></i>								
								<span class='font-<?php echo $core->primeira_cor;?>'><?php echo lang('FINANCEIRO_CHEQUES');?></span>
							</div>
						</div>
						<div class='portlet-body'>
							<table class='table table-bordered table-striped table-condensed table-advance dataTable-desc'>
								<thead class='flip-content'>
									<tr>
										<th>#</th>
										<th><?php echo lang('PAGAMENTO');?></th>
										<th><?php echo lang('BANCO');?></th>
										<th><?php echo lang('CAIXA');?></th>
										<th><?php echo lang('PACIENTE');?></th>
										<th><?php echo lang('VALOR_PAGO');?></th>
										<th><?php echo lang('VENCIMENTO');?></th>
										<th><?php echo lang('PAGO');?></th>
										<th><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total = 0;
										$destaque = '';
										$retorno_row = $faturamento->getCheques();
										if($retorno_row):
											foreach ($retorno_row as $exrow):
												$total += $exrow->valor_pago;
												$destaque = '';
												if($exrow->atrasado){
													$destaque = 'danger';
												}
												if($exrow->hoje){
													$destaque = 'info';
												}
												if($exrow->pago == 1){
													$destaque = 'success';
												}
												if($exrow->pago == 2){
													$destaque = 'warning';
												}
												$nome = ($exrow->id_cadastro) ? $exrow->cadastro : $exrow->paciente;
								?>
											<tr class='<?php echo $destaque;?>'>
												<td><?php echo $exrow->controle;?></td>
												<td><?php echo exibedata($exrow->data_pagamento);?></td>
												<td><?php echo $exrow->banco;?></td>
												<td><?php echo $exrow->id_caixa;?></td>
												<td><?php echo $nome;?></td>
												<td><?php echo moeda($exrow->valor_pago);?></td>
												<td><?php echo exibedata($exrow->data_vencimento);?></td>
												<td><?php echo ($exrow->pago == 1) ? "SIM" : "NAO";?></td>
												<td>
													<a href="javascript:void(0);" onclick="javascript:void window.open('ver_cheque.php?id_receita=<?php echo $exrow->id;?>','<?php echo lang('VISUALIZAR').": ".$nome;?>','width=560,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>" class="btn btn-icon-only grey-cascade"><i class="fa fa-search"></i></a>
													<?php if($exrow->pago == 1): ?>
													<a href='javascript:void(0);' class='btn btn-icon-only yellow estornarcheque' id='<?php echo $exrow->id;?>'  title='<?php echo lang('ESTORNAR_CHEQUE').": ".$nome;?>'><i class='fa fa-repeat'></i></a>
													<?php else: ?>
													<a href='javascript:void(0);' class='btn btn-icon-only green pagarcheque' id='<?php echo $exrow->id;?>'  id_banco='<?php echo $exrow->id_banco;?>' title='<?php echo lang('PAGAR_CHEQUE').": ".$nome;?>'><i class='fa fa-usd'></i></a>
													<?php endif;?>
												</td>
											</tr>
								<?php 
											endforeach;
											unset($exrow);
										endif;
								?>
								</tbody>
								<tfoot class='flip-content'>
									<tr>
										<td colspan="5"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo moeda($total);?></strong></td>
										<td colspan="2"></td>
									</tr>
								</tfoot>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case 'cartoes': ?>
<?php if(!$usuario->is_Administrativo()): print Filter::warning(lang('NAOAUTORIZADO')); return; endif;
$numero_cartao = (get('numero_cartao')) ? get('numero_cartao') : 0; 
?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var numero_cartao = $("#numero_cartao").val();
			window.location.href = 'index.php?do=faturamento&acao=cartoes&numero_cartao='+ numero_cartao;
		});
	});
	// ]]>
</script>
<!-- INICIO BOX MODAL -->
<div id='alterar-receita' class='modal fade' tabindex='-1'>
	<div class='modal-dialog'>
		<div class='modal-content'>
			<div class='modal-header'>
				<button type='button' class='close' data-dismiss='modal' aria-hidden='true'></button>
				<h4 class='modal-title'><?php echo lang('RECEITA');?></h4>
			</div>
			<form action='' method='post' name='receita_form' id='receita_form' >
				<div class='modal-body'>
					<div class='row'>
						<div class='col-md-12'>
							<p><?php echo lang('BANCO');?></p>
							<p>	
								<select class='select2me form-control' id='id_banco2' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
									<option value=""></option>
									<?php 
										$retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
							</p>
							<p><?php echo lang('DATA_PAGAMENTO');?></p>
							<p>	
								<input type='text' class='form-control data calendario' id='data_pagamento' name='data_pagamento' value='<?php echo date("d/m/Y");?>'>
							</p>
						</div>
					</div>
				</div>
				<input type='hidden' name='numero_cartao' value='<?php echo $numero_cartao;?>' />
				<div class='modal-footer'>
					<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
					<button type='button' data-dismiss='modal' class='btn default'><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm('processarDataReceita', 'receita_form');?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_CARTOES');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW TABELA -->
			<div class='row'>
				<div class='col-md-12'>
					<!-- INICIO TABELA -->						
					<div class='portlet light'>
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-search font-<?php echo $core->primeira_cor;?>'></i>								
								<span class='font-<?php echo $core->primeira_cor;?>'><?php echo lang('FINANCEIRO_CARTOES');?></span>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<label><?php echo lang('NUMERO_CARTAO');?>&nbsp;&nbsp;</label><input type="text" class="form-control input-medium" name="numero_cartao" id="numero_cartao" value="<?php echo $numero_cartao;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR');?></button>
								</div>
							</form>
						</div>
						<div class='portlet-body'>
							<?php if($numero_cartao): ?>
							<h4>			
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('EXTRATO_SISTEMA');?></span>
							</h4>
							<table class='table table-bordered table-striped table-condensed table-advance'>
								<thead class='flip-content'>
									<tr>
										<th><?php echo lang('PAGAMENTO');?></th>
										<th><?php echo lang('NUMERO_CARTAO');?></th>
										<th><?php echo lang('PACIENTE');?></th>
										<th><?php echo lang('CAIXA');?></th>
										<th><?php echo lang('TIPO');?></th>
										<th><?php echo lang('PARCELA');?></th>
										<th><?php echo lang('VALOR');?></th>
										<th><?php echo lang('VALOR_TOTAL');?></th>
										<th><?php echo lang('VENCIMENTO');?></th>
										<th><?php echo lang('BANCO');?></th>
										<?php if ($usuario->is_Master()): ?>
										<th><?php echo lang('ACOES');?></th>
										<?php endif; ?>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$retorno_row = $faturamento->getCartaoSistema($numero_cartao);
										if($retorno_row):
											foreach ($retorno_row as $exrow):
								?>
											<tr>
												<td><?php echo exibedata($exrow->data_pagamento);?></td>
												<td><?php echo $exrow->numero_cartao;?></td>
												<td><?php echo $exrow->cadastro;?></td>
												<td><?php echo $exrow->id_caixa;?></td>
												<td><?php echo $exrow->tipo;?></td>
												<td><?php echo $exrow->parcelas_cartao."/".$exrow->total_parcelas;?></td>
												<td><?php echo moeda($exrow->valor_parcelas_cartao);?></td>
												<td><?php echo moeda($exrow->valor_total_cartao);?></td>
												<td><?php echo exibedata($exrow->data_vencimento);?></td>
												<td><?php echo $exrow->banco;?></td>
												<?php if ($usuario->is_Administrativo()): ?>
												<td>
													<a href='javascript:void(0);' class='btn btn-icon-only blue alterarreceita' id='<?php echo $exrow->id_receita;?>' tipo='<?php echo $exrow->tipo;?>' id_banco='<?php echo $exrow->id_banco;?>' data_pagamento='<?php echo exibedata($exrow->data_pagamento);?>' title='<?php echo lang('EDITAR').$exrow->numero_cartao;?>'><i class='fa fa-pencil'></i></a>
												</td>
												<?php endif; ?>
											</tr>
								<?php 
											endforeach;
											unset($exrow);
										endif;
								?>
								</tbody>
							</table>
							<?php endif; ?>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case 'plano_contas': ?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#imprimir_plano').click(function() {
			window.open('pdf_planocontas.php','Imprimir Plano de Contas','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');
		});
		
		// MODAL SHOW - Editar categoria
		if($('a.alterarcategoria').length > 0) {
			$('a.alterarcategoria').click(function(){
				var id = $(this).attr('id');
				var conta = $(this).attr('conta');
				var tipo = $(this).attr('tipo');
				var dre = $(this).attr('dre');
				var contabil = $(this).attr('contabil');
				var ordem = $(this).attr('ordem');
				$("#conta").val(conta);
				$("#contabil").val(contabil);
				$('#tipo').val(tipo).trigger('change');   
				$("#ordem").val(ordem);
				if(dre == 1) {
					$("#dre").prop('checked', true);				
				}
				$("#categoria_form").append('<input name="id" type="hidden" value="'+ id +'" />');
				$("#categoria-principal").modal('show');    
				return false;			
			});	
		};
		
		// MODAL SHOW - Editar plano de contas
		if($('a.alterarplano').length > 0) {
			$('a.alterarplano').click(function(){
				var id = $(this).attr('id');
				var conta = $(this).attr('conta');
				var tipo = $(this).attr('tipo');
				var id_pai = $(this).attr('id_pai');
				var dre = $(this).attr('dre');
				var contabil = $(this).attr('contabil');
				var ordem = $(this).attr('ordem');
				$("#conta_plano").val(conta);
				$("#contabil_plano").val(contabil);
				$("#ordem_plano").val(ordem);
				$('#tipo_plano').val(tipo).trigger('change');   
				$('#id_pai_plano').val(id_pai).trigger('change');   
				if(dre == 1) {
					$("#dre_plano").prop('checked', true);				
				}
				$("#plano_form").append('<input name="id" type="hidden" value="'+ id +'" />');
				$("#plano-contas").modal('show');    
				return false;			
			});	
		};
	});
	// ]]>
</script>
<div id="categoria-principal" class="modal fade" tabindex="-1">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-plus-square">&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_PLANO_CONTAS_CATEGORIA');?></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="categoria_form" id="categoria_form" class="form-horizontal">
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">	
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('CATEGORIA');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control caps" id="conta" name="conta">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('TIPO');?></label>
								<div class="col-md-7">									
									<select class="select2me form-control" id="tipo" name="tipo" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value=""></option>
										<option value="C"><?php echo lang('RECEITA');?></option>
										<option value="D"><?php echo lang('DESPESA');?></option>
									</select>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('CODIGO_CONTABIL');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control caps" id="contabil" name="contabil">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('ORDEM');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control inteiro" id="ordem" name="ordem">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"></label>
								<div class="col-md-7">
									<div class="md-checkbox-list">
										<div class="md-checkbox">
											<input type="checkbox" class="md-check" name="dre" id="dre" value="1">
											<label for="dre">
											<span></span>
											<span class="check"></span>
												<span class="box"></span>
											<?php echo lang('MOSTRAR_DRE');?></label>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<input type="hidden" name="id_pai" value="NULL" />
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarConta", "categoria_form");?>
</div>
<div id="plano-contas" class="modal fade" tabindex="-1">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-plus">&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_PLANO_CONTAS_ADICIONAR');?></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="plano_form" id="plano_form" class="form-horizontal">
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">	
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('CATEGORIA');?></label>
								<div class="col-md-7">
									<select class="select2me form-control" id="id_pai_plano" name="id_pai" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value=""></option>
										<?php 
											$retorno_row = $faturamento->getPai();
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>"><?php echo $srow->conta;?></option>
										<?php
												endforeach;
												unset($srow);
											endif;
										?>
									</select>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('TIPO');?></label>
								<div class="col-md-7">									
									<select class="select2me form-control" id="tipo_plano" name="tipo" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value=""></option>
										<option value="C" ><?php echo lang('RECEITA');?></option>
										<option value="I" ><?php echo lang('INVESTIMENTO_M');?></option>
										<option value="DF"><?php echo lang('DESPESA_FIXA');?></option>
										<option value="DV"><?php echo lang('DESPESA_VARIAVEL');?></option>
									</select>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('PLANO_CONTAS');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control caps" id="conta_plano" name="conta">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('CODIGO_CONTABIL');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control caps" id="contabil_plano" name="contabil">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"><?php echo lang('ORDEM');?></label>
								<div class="col-md-7">
									<input type="text" class="form-control inteiro" id="ordem_plano" name="ordem">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-md-3"></label>
								<div class="col-md-7">
									<div class="md-checkbox-list">
										<div class="md-checkbox">
											<input type="checkbox" class="md-check" name="dre" id="dre_plano" value="1">
											<label for="dre_plano">
											<span></span>
											<span class="check"></span>
												<span class="box"></span>
											<?php echo lang('MOSTRAR_DRE');?></label>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarConta", "plano_form");?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('FINANCEIRO_PLANO_CONTAS');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW TABELA -->
			<div class='row'>
				<div class='col-md-12'>
					<!-- INICIO TABELA -->						
					<div class='portlet light'>
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-list font-<?php echo $core->primeira_cor;?>'></i>								
								<span class='font-<?php echo $core->primeira_cor;?>'><?php echo lang('FINANCEIRO_PLANO_CONTAS');?></span>
							</div>
							<div class="actions btn-set">
								<a href="#categoria-principal" data-toggle="modal" class="btn green"><i class='fa fa-plus-square'>&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_PLANO_CONTAS_CATEGORIA');?></a>	
								<a href="#plano-contas" data-toggle="modal" class="btn <?php echo $core->primeira_cor;?>"><i class='fa fa-plus'>&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_PLANO_CONTAS_ADICIONAR');?></a>	
								<a href="javascript:void(0);" id="imprimir_plano" class="btn yellow-casablanca"><i class="fa fa-print">&nbsp;&nbsp;</i><?php echo lang('IMPRIMIR');?></a>
							</div>
						</div>
						<div class='portlet-body'>
							<table class='table table-bordered table-striped table-condensed table-advance dataTable-nopage-save'>
								<thead class='flip-content'>
									<tr>
										<th>#</th>
										<th><?php echo lang('CATEGORIA');?></th>
										<th><?php echo lang('PLANO_CONTAS');?></th>
										<th><?php echo lang('CODIGO_CONTABIL');?></th>
										<th><?php echo lang('TIPO');?></th>
										<th><?php echo lang('DRE');?></th>
										<th><?php echo lang('ORDEM');?></th>
										<th><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$retorno_row = $faturamento->getContas();
										if($retorno_row):
											foreach ($retorno_row as $exrow):
												$style = '';
												if(!$exrow->exibir){
													$style = 'class="bg-red"';
												}
								?>
												<tr <?php echo $style;?>>
													<td><?php echo $exrow->id;?></td>
													<td><?php echo ($exrow->pai) ? $exrow->pai : '<span class="label label-sm bg-green">CATEGORIA PRINCIPAL</span>';?></td>
													<td><?php echo $exrow->filho;?></td>
													<td><?php echo $exrow->contabil;?></td>
													<td><?php echo tipoConta($exrow->classificacao);?></td>
													<td><?php echo ($exrow->dre) ? lang('SIM') : lang('NAO');?></td>
													<td><?php echo $exrow->ordem;?></td>
													<td>
														<?php if($exrow->pai):?>
															<a href="javascript:void(0);" class="btn btn-icon-only blue alterarplano" id="<?php echo $exrow->id;?>" contabil="<?php echo $exrow->contabil;?>" id_pai="<?php echo $exrow->id_pai;?>" dre="<?php echo $exrow->dre;?>" tipo="<?php echo $exrow->tipo;?>" ordem="<?php echo $exrow->ordem;?>" conta="<?php echo $exrow->filho;?>" title="<?php echo lang('EDITAR').': '.$exrow->filho;?>"><i class="fa fa-pencil"></i></a>
														<?php else:?>
															<a href="javascript:void(0);" class="btn btn-icon-only blue alterarcategoria" id="<?php echo $exrow->id;?>" contabil="<?php echo $exrow->contabil;?>" ordem="<?php echo $exrow->ordem;?>" dre="<?php echo $exrow->dre;?>" tipo="<?php echo $exrow->tipo;?>" conta="<?php echo $exrow->filho;?>" title="<?php echo lang('EDITAR').': '.$exrow->filho;?>"><i class="fa fa-pencil"></i></a>
														<?php endif;?>
														<a href='javascript:void(0);' class='btn btn-icon-only red ocultarconta' id='<?php echo $exrow->id;?>' title='<?php echo lang('FINANCEIRO_CONTA_OCULTAR').': '.$exrow->filho;?>'><i class='fa fa-ban'></i></a>
													</td>
												</tr>
								<?php 
											endforeach;
											unset($exrow);
										endif;
								?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "metasdre": 
	  $ano = get('ano') ? get('ano') : date('Y');
	  $totaldremeta = array();
	  $totaldremeta[1] = 0;
   	  $totaldremeta[2] = 0;
	  $totaldremeta[3] = 0;
	  $totaldremeta[4] = 0;
	  $totaldremeta[5] = 0;
	  $totaldremeta[6] = 0;
	  $totaldremeta[7] = 0;
	  $totaldremeta[8] = 0;
	  $totaldremeta[9] = 0;
	  $totaldremeta[10] = 0;
	  $totaldremeta[11] = 0;
	  $totaldremeta[12] = 0;
?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#ano').click(function() {
			var ano = $("#ano").val();
			window.location.href = 'index.php?do=faturamento&acao=metasdre&ano='+ ano;
		});
	});
	// ]]>
</script>
<!-- INICIO BOX MODAL -->
<div id="novo-meta" class="modal fade" tabindex="-1">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><?php echo lang('META_MENSAL');?></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="meta_form" id="meta_form" >
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<p><?php echo lang('VALOR');?></p>
							<p>	
								<input type="text" class="form-control decimal" name="valor" id="valor">
							</p>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarMetaDRE", "meta_form");?>
</div>
<!-- FINAL BOX MODAL -->
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('FINANCEIRO_TITULO');?>&nbsp;&nbsp;<small><?php echo lang('METAS_DRE');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-crosshairs font-<?php echo $core->primeira_cor;?>"></i>								
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('METAS_DRE')." em ".$ano;?></span>
							</div>
						</div>
						<div class="portlet-body form">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me form-control input-large" name="ano" id="ano" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value=""></option>
										<?php 
												$retorno_row = $gestao->getListaAno("despesa", "data_vencimento", "DESC", true);
												if ($retorno_row):
													foreach ($retorno_row as $srow):
										?>				
														<option value="<?php echo $srow->mes_ano;?>" <?php if($srow->mes_ano == $ano) echo 'selected="selected"';?>><?php echo $srow->mes_ano;?></option>
										<?php
													endforeach;
													unset($srow);
												endif;
										?>
									</select>
								</div>
							</form>
						</div>
						<div class="portlet-body">
							<table class="table table-bordered table-striped table-advance dataTable">
								<thead>
									<tr>				
										<th>#</th>
										<th><?php echo lang('PLANO_CONTAS');?></th>
										<th>JAN</th>
										<th>FEV</th>
										<th>MAR</th>
										<th>ABR</th>
										<th>MAI</th>
										<th>JUN</th>
										<th>JUL</th>
										<th>AGO</th>
										<th>SET</th>
										<th>OUT</th>
										<th>NOV</th>
										<th>DEZ</th>
										<th><?php echo lang('TOTAL');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 
									
									$tabela = "";
									$conta_row = $faturamento->getPai('"D"');
									foreach ($conta_row as $crow):
										$id_conta = $crow->id;
										$total = 0;
										$tabela .= '<tr><td>'.$crow->ordem.'</td><td><b>'.$crow->conta.'</b></td>';
										for($i=1;$i<13;$i++){
											$mes_ano = ($i < 10) ? "0".$i."/".$ano : $i."/".$ano;
											$total += $valor = $faturamento->getMetasDRE($mes_ano, $id_conta);
											$valor = ($valor) ? $valor : "0";
											$totaldremeta[$i] += $valor;
											$tabela .= '<td><a href="javascript:void(0);" class="btn btn-sm grey metasdre" valor="'.decimal($valor).'" mes_ano="'.$mes_ano.'" id_conta="'.$id_conta.'" title="Clique para alterar a meta">'.decimal($valor).'</a></td>';
										}
										$tabela .= '<td><b>'.decimal($total).'</b></td></tr>';
									endforeach;
									unset($crow);
									$total = 0;
									$tabela .= '<tr><td>99</td><td><b>TOTAL</b></td>';
									for($i=1;$i<13;$i++){
										$total += $totaldremeta[$i];
										$tabela .= '<td><b>'.decimal($totaldremeta[$i]).'</b></td>';
									}
									$tabela .= '<td><b>'.decimal($total).'</b></td></tr>';
									echo $tabela;
								?>								
								</tbody>
							</table>
						</div>
					</div>	
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php default: ?>
<div class='imagem-fundo'>
	<img src='assets/img/logo.png' border='0'>
</div>
<?php break;?>
<?php endswitch;?>