<?php
	/**
   * Classe Usuario
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyright 2013
   * @version 2
   */
  
  if (!defined("_VALID_PHP"))
      die('Acesso direto a esta classe não é permitido.');

  class Usuario
  {
      const uTable = "usuario";
      public $logged_in = null;
      public $uid = 0;
      public $nome;
      public $nomeusuario;
	  public $nomeempresa = "";
      public $desconto = 0;
      public $convenio = 0;
	  public $relatorio_medico = 0;
	  public $agenda_livre = 0;
      public $idempresa;
      public $idconsultorio;
      public $nivel;
      public $medico;
      public $aso;
      public $risco;
      public $mostrarvalor;
      public $agenda;
      private $lastlogin = "NOW()";
      private static $db;

      /**
       * Usuario::__construct()
       * 
       * @return
       */
      function __construct()
      {
          self::$db = Registry::get("Database");

          $this->getUserId();
          $this->startSession();
      }
	  
	  /**
       * Usuario::getUsuarios()
	   *
       * @return
       */
	  public function getUsuarios()
      {
		 $nivel = $this->nivel;
	     $sql = "SELECT u.id, u.nome, u.usuario, u.telefone, u.lastlogin as login, u.nivel, u.cargo, u.active, u.salario, em.nome as empresa" 
		  . "\n FROM usuario as u" 
		  . "\n LEFT JOIN empresa as em ON em.id = u.id_empresa" 
		  . "\n WHERE active = 'y' AND medico = 0 AND nivel <= $nivel"
		  . "\n ORDER BY u.cargo, u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::getMedicos()
	   *
       * @return
       */
	  public function getMedicos()
      {
	     $sql = "SELECT u.id, u.nome, u.usuario, u.telefone, u.celular, u.lastlogin as login, u.nivel, u.salario, u.active, u.crm, e.nome as especialidade, e2.nome as especialidade2, e3.nome as especialidade3, u.mostrarvalor, u.agenda, em.nome as empresa" 
		  . "\n FROM usuario as u" 
		  . "\n LEFT JOIN empresa as em ON em.id = u.id_empresa" 
		  . "\n LEFT JOIN especialidade as e ON e.id = u.id_especialidade" 
		  . "\n LEFT JOIN especialidade as e2 ON e2.id = u.id_especialidade2" 
		  . "\n LEFT JOIN especialidade as e3 ON e3.id = u.id_especialidade3" 
		  . "\n WHERE u.active = 'y' AND u.medico = 1 "
		  . "\n ORDER BY u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::getBloqueadosMedicos()
	   *
       * @return
       */
	  public function getBloqueadosMedicos()
      {
	     $sql = "SELECT u.id, u.nome, u.usuario, u.telefone, u.crm, u.lastlogin as login, u.nivel, u.salario, u.cargo, u.active, u.salario, e.nome as especialidade" 
		  . "\n FROM usuario as u" 
		  . "\n LEFT JOIN especialidade as e ON e.id = u.id_especialidade" 
		  . "\n WHERE u.active = 'n' AND u.medico = 1 "
		  . "\n ORDER BY u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::getBloqueadosUsuarios()
	   *
       * @return
       */
	  public function getBloqueadosUsuarios()
      {
		 $nivel = $this->nivel;
	     $sql = "SELECT u.id, u.nome, u.usuario, u.telefone, u.lastlogin as login, u.nivel, u.salario, u.cargo, u.active, u.salario" 
		  . "\n FROM usuario as u" 
		  . "\n WHERE active = 'n' AND u.medico = 0 "
		  . "\n ORDER BY u.cargo, u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::getTodosUsuarios()
	   *
       * @return
       */
	  public function getTodosUsuarios()
      {
		 $sql = "SELECT u.id, u.nome, u.usuario, u.telefone, u.lastlogin as login, e.nome as empresa, c.nome as colaborador, u.active, nivel, u.cargo, u.salario " 
		  . "\n FROM usuario as u" 
		  . "\n LEFT JOIN empresa as e ON e.id = u.id_empresa" 
		  . "\n WHERE u.nivel < 9  "
		  . "\n ORDER BY u.cargo, u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::getUsuariosNivel()
	   *
       * @return
       */
	  public function getUsuariosNivel($nivel, $id_empresa = false)
      {
		 $where = ($id_empresa) ? "AND u.id_empresa = $id_empresa" : "";
		 $sql = "SELECT u.id, u.nome, u.cargo " 
		  . "\n FROM usuario as u" 
		  . "\n WHERE u.nivel = $nivel $where";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
	  /**
       * Usuario::contarUsuarios()
	   *
       * @return
       */
	  public function contarUsuarios($nivel, $id_empresa = false)
      {
		 $where = ($id_empresa) ? "AND u.id_empresa = $id_empresa" : "";
		  $sql = "SELECT COUNT(1) as quant " 
		  . "\n FROM usuario as u" 
		  . "\n WHERE nivel = $nivel $where";
          $row = self::$db->first($sql);

          return ($row) ? $row->quant : 0;
      }
	  
	  /**
       * Usuario::validaUsuario()
	   *
       * @return
       */
	  public function validaUsuario($nome, $nivel, $id_empresa)
      {
		  $sql = "SELECT id " 
		  . "\n FROM usuario as u" 
		  . "\n WHERE nome = '$nome' AND nivel = $nivel AND id_empresa = $id_empresa";
          $row = self::$db->first($sql);

          return ($row) ? true : false;
      }

      /**
       * Usuario::getUserId()
       * 
       * @return
       */
      private function getUserId()
      {
          if (isset($_GET['userid'])) {
              $userid = (is_numeric($_GET['userid']) && $_GET['userid'] > -1) ? intval($_GET['userid']) : false;
              $userid = sanitize($userid);

              if ($userid == false) {
                  Filter::error("O usuário não esta cadastrado.", "Usuario::getUserId()");
              } else
                  return $this->uid = $userid;
          }
      }


      /**
       * Usuario::startSession()
       * 
       * @return
       */
      private function startSession()
      {
		  if ( is_session_started() === false ) session_start();
          $this->logged_in = $this->loginCheck();

          if (!$this->logged_in) {
              $this->nomeusuario = $_SESSION['nomeusuario'] = "Convidado";
              $this->sesid = sha1(session_id());
              $this->nivel = 0;
          }
      }

      /**
       * Usuario::loginCheck()
       * 
       * @return
       */
      private function loginCheck()
      {
          if (isset($_SESSION['nomeusuario']) && $_SESSION['nomeusuario'] != "Convidado") {

              $row = $this->getUserInfo($_SESSION['nomeusuario']);
			  if($row) {
				  if($row->id_empresa) {
					$empresarow = Registry::get("Core")->getRowById("empresa", $row->id_empresa);
					$this->nomeempresa = $empresarow->nome;
					$this->convenio = $empresarow->convenio;
					$this->desconto = $empresarow->desconto;
					$this->relatorio_medico = $empresarow->relatorio_medico;
					$this->agenda_livre = $empresarow->agenda_livre;
				  }
				  $this->uid = $row->id;
				  $this->nome = $row->nome;
				  $this->nomeusuario = $row->usuario;
				  $this->idempresa = $row->id_empresa;
				  $this->idconsultorio = $row->id_consultorio;
				  $this->nivel = $row->nivel;
				  $this->medico = $row->medico;
				  $this->aso = $row->aso;
				  $this->risco = $row->risco;
				  $this->mostrarvalor = $row->mostrarvalor;
				  $this->agenda = $row->agenda;
			  }
              $this->sesid = sha1(session_id());
              return true;
          } else {
              return false;
          }
      }

      /**
       * Usuario::getID()
       * 
       * @return
       */
      public function getID()
      {
          return $this->uid;

      }

      /**
       * Usuario::is_Desconto()
       * 
       * @return
       */
      public function is_Desconto()
      {
          return (($this->desconto and $this->nivel > 2) or $this->nivel >= 7) ? true : false;

      }

      /**
       * Usuario::is_MostrarValor()
       * 
       * @return
       */
      public function is_MostrarValor()
      {
          return $this->mostrarvalor;

      }

      /**
       * Usuario::is_Relatorio()
       * 
       * @return
       */
      public function is_Relatorio()
      {
          return $this->relatorio_medico;

      }

      /**
       * Usuario::is_AgendaLivre()
       * 
       * @return
       */
      public function is_AgendaLivre()
      {
          return $this->agenda_livre;

      }

      /**
       * Usuario::is_MostrarConvenio()
       * 
       * @return
       */
      public function is_MostrarConvenio()
      {
          return ($this->convenio) ? false : true;

      }

      /**
       * Usuario::is_Agenda()
       * 
       * @return
       */
      public function is_Agenda()
      {
          return $this->agenda;

      }

      /**
       * Usuario::is_Todos()
       * 
       * @return
       */
      public function is_Todos()
      {
          return ($this->nivel >= 1);

      }
	  
	  /**
       * Usuario::is_Medico()
       * 
       * @return
       */
      public function is_Medico()
      {
          return ($this->medico == 1);

      }
	  
	  /**
       * Usuario::is_ASO()
       * 
       * @return
       */
      public function is_ASO()
      {
          return ($this->aso == 1);

      }
	  
	  /**
       * Usuario::is_Risco()
       * 
       * @return
       */
      public function is_Risco()
      {
          return ($this->risco == 1);

      }
	  
	  /**
       * Usuario::is_NivelMedico()
       * 
       * @return
       */
      public function is_NivelMedico()
      {
          return ($this->nivel == 1);

      }
	  
	  /**
       * Usuario::igual_Atendimento()
       * 
       * @return
       */
      public function is_NivelAtendimento()
      {
          return ($this->nivel == 2);

      }
	  
	  /**
       * Usuario::is_Atendimento()
       * 
       * @return
       */
      public function is_Atendimento()
      {
          return ($this->nivel >= 2);

      }
	  
	  /**
       * Usuario::is_Recepcao()
       * 
       * @return
       */
      public function is_Recepcao()
      {
          return ($this->nivel >= 3);

      }
	  
	  /**
       * Usuario::is_NivelRecepcao()
       * 
       * @return
       */
      public function is_NivelRecepcao()
      {
          return ($this->nivel == 3);

      }
	  
	  /**
       * Usuario::is_Coordenador()
       * 
       * @return
       */
      public function is_Coordenador()
      {
          return ($this->nivel >= 4);

      }
	  
	  /**
       * Usuario::is_NivelCoordenador()
       * 
       * @return
       */
      public function is_NivelCoordenador()
      {
          return ($this->nivel == 4);

      }
	  
	  /**
       * Usuario::is_Comercial()
       * 
       * @return
       */
      public function is_Comercial()
      {
          return ($this->nivel >= 5);

      }
	  
	        /**
       * Usuario::is_Administrativo()
       * 
       * @return
       */
      public function is_Administrativo()
      {
          return ($this->nivel >= 6);

      }
	  
	        /**
       * Usuario::is_Gerencia()
       * 
       * @return
       */
      public function is_Gerencia()
      {
          return ($this->nivel >= 7);

      }
	  
	  /**
       * Usuario::is_Master()
       * 
       * @return
       */
      public function is_Master()
      {
          return ($this->nivel >= 8);

      }
	  
	  /**
       * Usuario::is_Controller()
       * 
       * @return
       */
      public function is_Controller()
      {
          return ($this->nivel >= 9);

      }

      /**
       * Usuario::login()
       * 
       * @param mixed $nomeusuario
       * @param mixed $senha
       * @return
       */
      public function login($nomeusuario, $senha)
      {
		  if ($nomeusuario == "" && $senha == "") {
              Filter::$msgs['usuario'] = lang('LOGIN_R5');
          } else {
              $status = $this->checkStatus($nomeusuario, $senha);

              switch ($status) {
                  case 0:
                      Filter::$msgs['usuario'] = lang('LOGIN_R1');
                      break;

                  case 1:
                      Filter::$msgs['usuario'] = lang('LOGIN_R2');
                      break;

                  case 2:
                      Filter::$msgs['usuario'] = lang('LOGIN_R3');
                      break;

                  case 3:
                      Filter::$msgs['usuario'] = lang('LOGIN_R4');
                      break;
              }
          }
          if (empty(Filter::$msgs) && $status == 5) {
              $row = $this->getUserInfo($nomeusuario);
              $this->uid = $_SESSION['userid'] = $row->id;
              $this->nomeusuario = $_SESSION['nomeusuario'] = $row->usuario;
              $this->idempresa = $_SESSION['idempresa'] = $row->id_empresa;
              $this->idconsultorio = $_SESSION['idconsultorio'] = $row->id_consultorio;
              $this->nivel = $_SESSION['nivel'] = $row->nivel;
              $this->medico = $_SESSION['medico'] = $row->medico;
              $this->aso = $_SESSION['aso'] = $row->aso;
              $this->risco = $_SESSION['risco'] = $row->risco;

              $data = array('lastlogin' => $this->lastlogin, 'lastip' => sanitize($_SERVER['REMOTE_ADDR']));
              self::$db->update(self::uTable, $data, "usuario='" . $this->nomeusuario . "'");

              return true;
          } else
              echo Filter::$msgs['usuario'];
      }

      /**
       * Usuario::logout()
       * 
       * @return
       */
      public function logout()
      {
          unset($_SESSION['userid']);
          unset($_SESSION['nomeusuario']);
          unset($_SESSION['idempresa']);
          unset($_SESSION['idconsultorio']);
          unset($_SESSION['nivel']);
          session_destroy();
          session_regenerate_id();

          $this->logged_in = false;
          $this->nomeusuario = "Convidado";
          $this->nivel = 0;
      }

      /**
       * Usuario::getUserInfo()
       * 
       * @param mixed $nomeusuario
       * @return
       */
      public function getUserInfo($nomeusuario)
      {
          $nomeusuario = sanitize($nomeusuario);
          $nomeusuario = self::$db->escape($nomeusuario);

          $sql = "SELECT * FROM " . self::uTable . " WHERE usuario = '" . $nomeusuario . "'";
          $row = self::$db->first($sql);
          if (!$nomeusuario)
              return false;

          return ($row) ? $row : 0;
      }

      /**
       * Usuario::checkStatus()
       * 
       * @param mixed $nomeusuario
       * @param mixed $senha
       * @return
       */
      public function checkStatus($nomeusuario, $senha)
      {

          //echo "<script> alert('2');</script>";
		  $nomeusuario = sanitize(strtolower($nomeusuario));
          $nomeusuario = self::$db->escape($nomeusuario);
          $senha = sanitize(strtolower($senha));

          $sql = "SELECT senha, active FROM " . self::uTable . " WHERE usuario = '" . $nomeusuario . "'";
          $result = self::$db->query($sql);

          if (self::$db->numrows($result) == 0)
              return 0;

          $row = self::$db->fetch($result);
          $entered_pass = sha1($senha);

          switch ($row->active) {
              case "b":
                  return 1;
                  break;

              case "n":
                  return 2;
                  break;

              case "t":
                  return 3;
                  break;

              case "y" && $entered_pass == $row->senha:
                  return 5;
                  break;
          }
      }
	  
      /**
       * Usuario::processarUsuario()
       * 
       * PRODUCAO: 1 - VALOR
       * PRODUCAO: 2 - PERCENTUAL
       * @return
       */
      public function processarUsuario()
      {
		  $u = sanitize(strtolower(post('usuario')));
		  $u = trim($u);
		  $u = str_replace(" ",".",$u);
		  
		  if (!Filter::$id) {
              if (empty($_POST['usuario']))
                  Filter::$msgs['usuario'] = lang('USERNAME_R1');

              if ($value = $this->usuarioExists($u)) {
                  if ($value == 1)
                      Filter::$msgs['usuario'] = lang('USERNAME_R2');
                  if ($value == 2)
                      Filter::$msgs['usuario'] = lang('USERNAME_R3');
                  if ($value == 3)
                      Filter::$msgs['usuario'] = lang('USERNAME_R4');
              }
          }

          if (empty($_POST['nome']))
              Filter::$msgs['nome'] = lang('MSG_ERRO_NOME');
		  

          if (!Filter::$id) {
              if (empty($_POST['senha']))
                  Filter::$msgs['senha'] = lang('PASSWORD_R1');
			  if ($_POST['senha'] != $_POST['confirma'])
                  Filter::$msgs['senha'] = lang('PASSWORD_R3');
          }

          if (empty(Filter::$msgs)) {

              $salario = converteMoeda(post('salario'));
			  $producao = ($salario > 0) ? 3 : intval(post('producao'));
			  $is_medico = (post('nivel') == 1) ? 1 : post('medico');

              $data = array(
					'usuario' => $u, 
					'id_empresa' => sanitize(post('id_empresa')), 
					'id_consultorio' => sanitize(post('id_consultorio')), 
					'email' => sanitize(post('email')), 
					'nome' => sanitize(post('nome')), 
					'telefone' => sanitize(post('telefone')), 
					'cep' => sanitize(post('cep')), 
					'endereco' => sanitize(post('endereco')), 
					'numero' => sanitize(post('numero')), 
					'complemento' => sanitize(post('complemento')), 
					'bairro' => sanitize(post('bairro')), 
					'cidade' => sanitize(post('cidade')), 
					'estado' => sanitize(post('estado')), 
					'crm' => sanitize(post('crm')), 
					'cpf' => sanitize(post('cpf')), 
					'identidade' => sanitize(post('identidade')), 
					'aniversario' => dataMySQL(post('aniversario')), 
					'cargo' => sanitize(post('cargo')), 
					'banco' => sanitize(post('banco')), 
					'codigo' => sanitize(post('codigo')), 
					'agencia' => sanitize(post('agencia')), 
					'conta' => sanitize(post('conta')), 
					'vendedor' => intval(post('vendedor')), 
					'observacao' => sanitize(post('observacao')), 
					'salario' => converteMoeda(post('salario')), 
					'transporte' => converteMoeda(post('transporte')), 
					'planodesaude' => converteMoeda(post('planodesaude')), 
					'bonus' => converteMoeda(post('bonus')), 
					'lanche' => converteMoeda(post('lanche')), 
					'observacao' => sanitize(post('observacao')), 
					'adiantamento' => sanitize(post('adiantamento')), 
					'filhos' => sanitize(post('filhos')), 
					'sabado' => sanitize(post('sabado')), 
					'meta' => sanitize(post('meta')), 
					'producao' => $producao,
					'carteira' => intval(post('carteira')), 
					'medico' => $is_medico, 
					'mostrarvalor' => intval(post('mostrarvalor')), 
					'agenda' => intval(post('agenda')), 
					'prontuario' => intval(post('prontuario')), 
					'aso' => intval(post('aso')), 
					'risco' => intval(post('risco')), 
					'tempo' => intval(post('tempo')), 
					'id_especialidade' => intval(post('id_especialidade')), 
					'id_especialidade2' => intval(post('id_especialidade2')), 
					'id_especialidade3' => intval(post('id_especialidade3')), 
					'id_especialidade4' => intval(post('id_especialidade4')), 
					'id_especialidade5' => intval(post('id_especialidade5')), 
					'data_admissao' => dataMySQL(post('data_admissao')), 
					'active' => 'y',
					'alterado' => session('nomeusuario'),
					'data' => "NOW()"
			  );
			  if($is_medico) {		
				  $data['nivel'] = (empty($_POST['master'])) ? 1 : 8;
			  } elseif (!empty($_POST['nivel'])) {
                  $data['nivel'] = intval(post('nivel'));
			  }

              if (!Filter::$id)
                  $data['created'] = "NOW()";

              if (Filter::$id)
                  $userrow = Registry::get("Core")->getRowById(self::uTable, Filter::$id);

              if (post('senha') != "") {
                  $data['senha'] = sha1(strtolower($_POST['senha']));
              } else
                  $data['senha'] = $userrow->senha;

              (Filter::$id) ? self::$db->update(self::uTable, $data, "id=" . Filter::$id) : self::$db->insert(self::uTable, $data);
			  if($is_medico) {
				$message = (Filter::$id) ? lang('MEDICO_AlTERADO_OK') : lang('MEDICO_ADICIONADO_OK');
				$redirecionar = "index.php?do=medico&acao=listar";
			  } else {
				$message = (Filter::$id) ? lang('USUARIO_AlTERADO_OK') : lang('USUARIO_ADICIONADO_OK');
				$redirecionar = "index.php?do=usuario&acao=listar";
			  }

              if (self::$db->affected()) {
                  Filter::msgOk($message, $redirecionar);
              } else
                  Filter::msgAlert(lang('NAOPROCESSADO'));
          } else
              print Filter::msgStatus();
      }
	  
      /**
       * Usuario::editarUsuario()
       * 
       * @return
       */
      public function editarUsuario()
      {
          if (empty($_POST['nome']))
              Filter::$msgs['nome'] = lang('MSG_ERRO_NOME');

          if (!Filter::$id) {
              if (empty($_POST['senha']))
                  Filter::$msgs['senha'] = lang('PASSWORD_R1');
			  if ($_POST['senha'] != $_POST['confirma'])
                  Filter::$msgs['senha'] = lang('PASSWORD_R3');
          } 
		   
		  if (post('pin') != post('confirma_pin'))
               Filter::$msgs['pin'] = lang('PASSWORD_R4');
		   
		  if (!empty($_POST['pin'])) {
			$pin = post('pin');
			if(strlen($pin) == 5) {
				$pin_sha = sha1($pin);
				$sql = "SELECT id FROM usuario WHERE pin = '$pin_sha' ";
				  $row = self::$db->first($sql);			  
				  if ($row)
					  Filter::$msgs['confirma_pin'] = lang('PASSWORD_R5');
			} else {
				Filter::$msgs['confirma_pin'] = lang('PASSWORD_R5');
			}
			$senhas = array('01234', '12345', '23456', '34567', '45678', '56789', '67890', '09876', '98765', '87654', '76543', '65432', '54321', '43210', '11111', '22222', '33333', '44444', '55555', '66666', '77777', '88888', '99999', '00000', '10101', '20202', '30303', '40404', '50505', '60606', '70707', '80808', '90909', '01010', '02020', '03030', '04040', '05050', '06060', '07070', '08080', '09090', '00001', '00002', '00003', '00004', '00005', '00006', '00007', '00008', '00009', '10000', '20000', '30000', '40000', '50000', '60000', '70000', '80000', '90000');
			if (in_array($pin, $senhas)) { 
				Filter::$msgs['confirma_pin'] = lang('PASSWORD_R5');
			}
		  }

          if (empty(Filter::$msgs)) {

              $data = array( 
					'id_empresa' => sanitize(post('id_empresa')), 
					'id_consultorio' => sanitize(post('id_consultorio')), 
					'nome' => sanitize(post('nome')), 
					'cpf' => sanitize(post('cpf')), 
					'identidade' => sanitize(post('identidade')), 
					'telefone' => sanitize(post('telefone')), 
					'aniversario' => dataMySQL(post('aniversario')), 
					'banco' => sanitize(post('banco')), 
					'codigo' => sanitize(post('codigo')), 
					'agencia' => sanitize(post('agencia')), 
					'conta' => sanitize(post('conta')), 
					'cep' => sanitize(post('cep')), 
					'endereco' => sanitize(post('endereco')), 
					'numero' => sanitize(post('numero')), 
					'complemento' => sanitize(post('complemento')), 
					'bairro' => sanitize(post('bairro')), 
					'cidade' => sanitize(post('cidade')), 
					'estado' => sanitize(post('estado'))
			  );

              if ($_POST['senha'] != "") {
                  $data['senha'] = sha1(strtolower($_POST['senha']));
              }
			  
              if (!empty($_POST['pin'])) {
                  $data['pin'] = $pin_sha;
              }
			  
			  self::$db->update(self::uTable, $data, "id='" . Filter::$id . "'");
			  
			  $message = lang('USUARIO_AlTERADO_OK');

              if (self::$db->affected()) {
                  Filter::msgOk($message, "logout.php");
              } else
                  Filter::msgAlert(lang('NAOPROCESSADO'));
          } else
              print Filter::msgStatus();
      }

      /**
       * Usuario::usuarioExists()
       * 
       * @param mixed $usuario
       * @return
       */
      private function usuarioExists($usuario)
      {
          $usuario = sanitize(strtolower($usuario));
          if (strlen(self::$db->escape($usuario)) < 4)
              return 1;

          $sql = self::$db->query("SELECT usuario FROM usuario WHERE usuario = '" . $usuario . "' LIMIT 1");

          $count = self::$db->numrows($sql);

          return ($count > 0) ? 3 : false;
      }

      /**
       * Usuario::emailExists()
       * 
       * @param mixed $email
       * @return
       */
      private function emailExists($email)
      {
		  $email = self::$db->escape($email);
          $sql = self::$db->query("SELECT email FROM usuario WHERE email = '" . sanitize($email) . "' LIMIT 1");

          if (self::$db->numrows($sql) == 1) {
              return true;
          } else
              return false;
      }

      /**
       * Usuario::isValidEmail()
       * 
       * @param mixed $email
       * @return
       */
      private function isValidEmail($email)
      {
          if (function_exists('filter_var')) {
              if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
                  return true;
              } else
                  return false;
          } else
              return preg_match('/^[a-zA-Z0-9._+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/', $email);
      }

      /**
       * Usuario::getUniqueCode()
       * 
       * @param string $length
       * @return
       */
      private function getUniqueCode($length = "")
      {
          $code = md5(uniqid(rand(), true));
          if ($length != "") {
              return substr($code, 0, $length);
          } else
              return $code;
      }

      /**
       * Usuario::generateRandID()
       * 
       * @return
       */
      private function generateRandID()
      {
          return sha1($this->getUniqueCode(24));
      }
	  
	  /**
       * Usuario::getVendedor()
	   *
       * @return
       */
	  public function getVendedor($id_empresa = false)
      {
		  $id_empresa = ($id_empresa) ? $id_empresa : $this->idempresa;
		  $sql = "SELECT u.id, u.nome, u.usuario, u.telefone " 
		  . "\n FROM usuario as u" 
		  . "\n WHERE u.active = 'y' AND u.vendedor = 1 AND u.id_empresa = $id_empresa "
		  . "\n ORDER BY u.nome";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
	  
      /**
       * Usuario::processarProcedimentoProducao()
       * 
       * @return
       */
      public function processarProcedimentoProducao()
      {  

          if (empty(Filter::$msgs)) {

              $data = array(
					'id_usuario' => sanitize(post('id_usuario')),
					'id_tabela' => sanitize(post('id_tabela')),
					'id_convenio' => sanitize(post('id_convenio')),
					'valor_repasse' => converteMoeda(post('valor_repasse')),
					'percentual_repasse' => converteMoeda(post('percentual_repasse')),
					'sem_retorno' => sanitize(post('sem_retorno')),
					'usuario' => session('nomeusuario'),
					'data' => "NOW()"
			  );

              (Filter::$id) ? self::$db->update("usuario_producao", $data, "id=" . Filter::$id) : self::$db->insert("usuario_producao", $data);
              $message = (Filter::$id) ? lang('TABELA_AlTERADO_OK') : lang('TABELA_ADICIONADO_OK');

              if (self::$db->affected()) {
			  
                  Filter::msgOk($message, "index.php?do=medico&acao=editar&id=".post('id_usuario'));    
              } else
                  Filter::msgAlert(lang('NAOPROCESSADO'));
          } else
              print Filter::msgStatus();
      }
	  
      /**
       * Usuario::alterarProcedimentoProducao()
       * 
       * @return
       */
      public function alterarProcedimentoProducao()
      {  

          if (empty(Filter::$msgs)) {

			$id = post('id');
			$data = array(
				'valor_repasse' => converteMoeda(post('valor_repasse')),
				'percentual_repasse' => converteMoeda(post('percentual_repasse')),
				'sem_retorno' => sanitize(post('sem_retorno')),
				'usuario' => session('nomeusuario'),
				'data' => "NOW()"
			);
			self::$db->update("usuario_producao", $data, "id=".$id);
            $message = lang('TABELA_AlTERADO_OK');
			if (self::$db->affected()) {
				Filter::msgReload($message);    
            } else
				Filter::msgAlert(lang('NAOPROCESSADO'));
          } else
              print Filter::msgStatus();
      }
	  
	  /**
       * Usuario::getProcedimentoProducao()
	   *
       * @return
       */
	  public function getProcedimentoProducao($id_usuario)
      {
		  $sql = "SELECT u.*, t.procedimento, t.valor, c.nome as convenio, tc.valor_convenio " 
		  . "\n FROM usuario_producao as u" 
		  . "\n LEFT JOIN tabela as t ON t.id = u.id_tabela AND t.inativo = 0" 
		  . "\n LEFT JOIN tabela_convenio as tc ON tc.id_tabela = u.id_tabela AND tc.id_cadastro = u.id_convenio"
		  . "\n LEFT JOIN cadastro as c ON c.id = u.id_convenio AND c.inativo = 0" 
		  . "\n WHERE u.inativo = 0 AND u.id_usuario = $id_usuario "
		  . "\n ORDER BY t.procedimento";
          $row = self::$db->fetch_all($sql);

          return ($row) ? $row : 0;
      }
  }
?>