<?php
  /**
   * Imprimir despesas
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyleft 2013
   * @version 2
   */
   
   //TOTAL DO CABECALHO DEVE SER = 277 PARA PAGINA Landscape
   //TOTAL DO CABECALHO DEVE SER = 190 PARA PAGINA Retrait
	
	require_once("impressao.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	  
	$id_fornecedor = (get('id_fornecedor')) ? get('id_fornecedor') : 0; 
	$id_banco = (get('id_banco')) ? get('id_banco') : 0; 
	$id_conta = (get('id_conta')) ? get('id_conta') : 0; 
	$valor = (get('valor')) ? get('valor') : ''; 
	$dataini = (get('dataini')) ? get('dataini') : date('d/m/Y', strtotime('-5 days')); 
	$datafim = (get('datafim')) ? get('datafim') : date('d/m/Y', strtotime('15 days')); 
	
	$titulo = utf8_decode(lang('FINANCEIRO_DESPESASPAGAS'));	
	$inicio = 35;
	
	$nome_empresa = utf8_decode($core->empresa);
  
	$pdf = new PDF_Impressao( 'L', 'mm', 'A4' );
	$pdf->AddPage();
	$pdf->setRodape();
	$pdf->tamanho(-2);
	$pdf->addEmpresa( $nome_empresa,$dataini,$datafim);
	
	$pdf->subtitulo($titulo, date('d/m/Y'), 6);
	//$pdf->rascunho( "RASCUNHO" );

	$tabela_inicio = $inicio;
	$linha_inicio = $tabela_inicio + 10;
	$cabecalho=array( 
				 utf8_decode(lang('DATA_PAGAMENTO'))    => 27,
				 utf8_decode(lang('BANCO'))  => 40,
				 utf8_decode(lang('FORNECEDOR'))  => 50,
				 utf8_decode(lang('DESCRICAO'))  => 80,
				 utf8_decode(lang('PLANO_CONTAS'))  => 50,
				 utf8_decode(lang('VALOR_PAGO'))  => 30);
				 
	$pdf->definirCols($cabecalho, "C", true, 1);
	
	$cols=array( utf8_decode(lang('DATA_PAGAMENTO'))    => "L",
				 utf8_decode(lang('BANCO'))  => "L",
				 utf8_decode(lang('FORNECEDOR'))  => "L",
				 utf8_decode(lang('DESCRICAO'))  => "L",
				 utf8_decode(lang('PLANO_CONTAS'))  => "L",
				 utf8_decode(lang('VALOR_PAGO'))  => "L");
				 
	$pdf->addLineFormat($cols);
	$y    = $linha_inicio;
	
	$retorno_row = $despesa->getDespesasPagas($dataini, $datafim, $id_banco, $id_conta, $id_fornecedor, $valor);
	$total = 0;
	if($retorno_row) {
		foreach ($retorno_row as $exrow) {
			$banco_caixa = '-';
			if($exrow->banco) {
				$banco_caixa = $exrow->banco;
			} elseif($exrow->id_caixa){
				$banco_caixa = "CAIXA: ".$exrow->id_caixa;
			}
			$total += $exrow->valor;			   
			$linha=array( 
				 utf8_decode(lang('DATA_PAGAMENTO'))    => utf8_decode(exibedata($exrow->data_pagamento)),
				 utf8_decode(lang('BANCO'))  => utf8_decode($banco_caixa),
				 utf8_decode(lang('FORNECEDOR'))  => utf8_decode($exrow->fornecedor),
				 utf8_decode(lang('DESCRICAO'))  => utf8_decode($exrow->descricao),
				 utf8_decode(lang('PLANO_CONTAS'))  => utf8_decode($exrow->conta),
				 utf8_decode(lang('VALOR_PAGO'))  => utf8_decode(moeda($exrow->valor)) );
				 
			$size = $pdf->addLine( $y, $linha, false, 1 );
			$y   += $size + 2;
			if($y > 180) {		
				$tabela_final = $y - 30;
				$tabela_inicio = $inicio;
				$linha_inicio = $tabela_inicio + 10;
				$y    = $linha_inicio;
				$pdf->addCols( $tabela_inicio , $tabela_final , $cabecalho);
				$pdf->AddPage();
				$pdf->addEmpresa( $nome_empresa,$dataini,$datafim);
				$pdf->subtitulo($titulo, date('d/m/Y'), 6);
			}
		}
		$linha=array( 
			utf8_decode(lang('DATA_PAGAMENTO'))    => '',
			utf8_decode(lang('BANCO'))  => '',
			utf8_decode(lang('FORNECEDOR'))  => '',
			utf8_decode(lang('DESCRICAO'))  => '',
			utf8_decode(lang('PLANO_CONTAS'))  => utf8_decode(lang('TOTAL')),
			utf8_decode(lang('VALOR_PAGO'))  => utf8_decode(moeda($total)) );
					 
		$size = $pdf->addLine( $y+2, $linha, false );
		
		unset($exrow);
		$tabela_final = $y-28;
		$pdf->addCols( $tabela_inicio , $tabela_final , $cabecalho);
	}
	$pdf->Output();
?>