<?php
  /**
   * PDF HTML Mapa
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   * LARGURA PADRÃO - RETRATO (P) - EM px: 638px
   * LARGURA PADRÃO - PAISAGEM (L) - EM px: 946px
   */
	
	if ($retorno_row):
		$quant = count($retorno_row);
?>
	<table class="table">
		<thead>
			<tr style="background: #eee;">
				<td width="20%"><?php echo ($quant > 0) ? $retorno_row[0]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 1) ? $retorno_row[1]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 2) ? $retorno_row[2]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 3) ? $retorno_row[3]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 4) ? $retorno_row[4]->nome : '';?></td>
			</tr>
			<?php if((hojebr($data))):?>
			<tr>
				<td width="20%"><?php echo ($quant > 0) ? $retorno_row[0]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 1) ? $retorno_row[1]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 2) ? $retorno_row[2]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 3) ? $retorno_row[3]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 4) ? $retorno_row[4]->consultorio : '';?></td>
			</tr>
			<?php endif;?>
		</thead>
		<tbody>
			<tr>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 0) {
							$id_medico = $retorno_row[0]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>										
				<td style="vertical-align: top;">
					<?php 
						if($quant > 1) {
							$id_medico = $retorno_row[1]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 2) {
							$id_medico = $retorno_row[2]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 3) {
							$id_medico = $retorno_row[3]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 4) {
							$id_medico = $retorno_row[4]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
			</tr>
		</tbody>
	</table>
<?php 
		if($quant > 5):
?>
	<table class="table">
		<thead>
			<tr style="background: #eee;">
				<td width="20%"><?php echo ($quant > 5) ? $retorno_row[5]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 6) ? $retorno_row[6]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 7) ? $retorno_row[7]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 8) ? $retorno_row[8]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 9) ? $retorno_row[9]->nome : '';?></td>
			</tr>
			<?php if((hojebr($data))):?>
			<tr>
				<td width="20%"><?php echo ($quant > 5) ? $retorno_row[5]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 6) ? $retorno_row[6]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 7) ? $retorno_row[7]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 8) ? $retorno_row[8]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 9) ? $retorno_row[9]->consultorio : '';?></td>
			</tr>
			<?php endif;?>
		</thead>
		<tbody>
			<tr>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 5) {
							$id_medico = $retorno_row[5]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 6) {
							$id_medico = $retorno_row[6]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 7) {
							$id_medico = $retorno_row[7]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 8) {
							$id_medico = $retorno_row[8]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 9) {
							$id_medico = $retorno_row[9]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
			</tr>
		</tbody>
	</table>
<?php 
		endif;
		if($quant > 10):
?>
	<table class="table">
		<thead>
			<tr style="background: #eee;">
				<td width="20%"><?php echo ($quant > 10) ? $retorno_row[10]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 11) ? $retorno_row[11]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 12) ? $retorno_row[12]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 13) ? $retorno_row[13]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 14) ? $retorno_row[14]->nome : '';?></td>
			</tr>
			<?php if((hojebr($data))):?>
			<tr>
				<td width="20%"><?php echo ($quant > 10) ? $retorno_row[10]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 11) ? $retorno_row[11]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 12) ? $retorno_row[12]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 13) ? $retorno_row[13]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 14) ? $retorno_row[14]->consultorio : '';?></td>
			</tr>
			<?php endif;?>
		</thead>
		<tbody>
			<tr>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 10) {
							$id_medico = $retorno_row[10]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 11) {
							$id_medico = $retorno_row[11]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 12) {
							$id_medico = $retorno_row[12]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 13) {
							$id_medico = $retorno_row[13]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 14) {
							$id_medico = $retorno_row[14]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
			</tr>
		</tbody>
	</table>
<?php 
		endif;
		if($quant > 15):
?>
	<table class="table">
		<thead>
			<tr style="background: #eee;">
				<td width="20%"><?php echo ($quant > 15) ? $retorno_row[15]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 16) ? $retorno_row[16]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 17) ? $retorno_row[17]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 18) ? $retorno_row[18]->nome : '';?></td>
				<td width="20%"><?php echo ($quant > 19) ? $retorno_row[19]->nome : '';?></td>
			</tr>
			<?php if((hojebr($data))):?>
			<tr>
				<td width="20%"><?php echo ($quant > 15) ? $retorno_row[15]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 16) ? $retorno_row[16]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 17) ? $retorno_row[17]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 18) ? $retorno_row[18]->consultorio : '';?></td>
				<td width="20%"><?php echo ($quant > 19) ? $retorno_row[19]->consultorio : '';?></td>
			</tr>
			<?php endif;?>
		</thead>
		<tbody>
			<tr>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 15) {
							$id_medico = $retorno_row[15]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 16) {
							$id_medico = $retorno_row[16]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 17) {
							$id_medico = $retorno_row[17]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 18) {
							$id_medico = $retorno_row[18]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
				<td style="vertical-align: top;">
					<?php 
						if($quant > 19) {
							$id_medico = $retorno_row[19]->id_medico;
							$atendimento_row = $atendimento->getAtendimentosDia($data, $id_medico, $id_empresa);
							if ($atendimento_row) {
								foreach ($atendimento_row as $srow) {
									$hora = exibeHora($srow->data_agenda);
									$status = '';
									$informacao = ($srow->retorno == 2) ? "[RETORNO]<br/>" : "";
									if($srow->guia) {
										$quant_guia = $atendimento->verificarQuantidadeGuia($srow->id_paciente, $srow->id_tabela);
										if($quant_guia == 0) {
											$status = statusAgendaFundo(12);
											$informacao = "[SEM GUIAS]<br/>";
										} elseif($quant_guia < 3) {
											$status = statusAgendaFundo(13);
											$informacao = "[ALERTA GUIAS: $quant_guia]<br/>";
										} else {
											$informacao = "[GUIAS: $quant_guia]<br/>";
										}
									}
									$status = ($status) ? $status : statusAgendaFundo($srow->realizado);
									$nome_convenio = ($srow->convenio) ? $srow->convenio : "PARTICULAR";
									if($srow->bloqueio == 1 and $srow->realizado == 0) {
										echo "<p><span class='list-group-item list-group-item-cinza2 font-white'><strong>".$hora."</strong><br/>BLOQUEADO</span></p>";
									
									} elseif($srow->realizado == 1) {
										echo "<p><span class='$status'><strong><i class='fa fa-check-square-o'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 2) {
										echo "<p><span class='$status'><strong><i class='fa fa-check'>&nbsp;&nbsp;</i>$hora - LIBERADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} elseif($srow->realizado == 3 or $srow->realizado == 6) {
										echo "<p><span class='$status'><strong><i class='fa fa-thumbs-up'>&nbsp;&nbsp;</i>$hora - REALIZADA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									} else {
										echo "<p><span class='$status'><strong>$hora - ABERTA</strong><br/>".$informacao.$srow->paciente."<br/>".$nome_convenio."</span></p>";
									}
								}
								unset($srow);
							}
						}
					?>
				</td>
			</tr>
		</tbody>
	</table>
<?php
		endif;
	endif;
?>