<?php
  /**
   * PDF Pagamento
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   */
  define("_VALID_PHP", true);
  
	require_once("impressao_tcpdf.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	
	$retorno_row = null;
	$id_medico = get('id_medico');	
	$id_empresa = get('id_empresa');	
	$id_convenio = get('id_convenio');	
	$dataini = (get('dataini')) ? get('dataini') : date('d/m/Y'); 
	$datafim = (get('datafim')) ? get('datafim') : date('d/m/Y'); 
	$subtitulo = $dataini.' - '.$datafim;
	$row = Core::getRowById("usuario", $id_medico);
	$nome_medico = $row->nome;
	$salario = $row->salario;
	$retorno_row = $atendimento->getListaMedicoPago($id_medico, $dataini, $datafim, $id_empresa, $id_convenio);
	
	$pdf = new Impressao_PDF();
	$pdf->Titulo($nome_medico);
	$pdf->SubTitulo($subtitulo);
	$pdf->HeaderEmpresa('logo-empresa.jpg',$nome_medico,'',$subtitulo);

	// set font
	$pdf->SetFont('helvetica', '', 7, '', false);

	// add a page
	$pdf->AddPage();
		
	ob_start();
		require(BASEPATH . 'pdf_pagamentomedico_html.php');
		$pdfhtml = ob_get_contents();
	ob_end_clean();
	$pdf->writeHTMLSyle($pdfhtml);
	
	$pdf->Output($nome_medico.".pdf", "I");

?>