<?php
  /**
   * PDF Produção
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   */
  define("_VALID_PHP", true);
  
	require_once("impressao_tcpdf.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	
	$retorno_row = null;
	$id_medico = get('id_medico');
	$data_caixa = get('data_caixa');
	$id_empresa = get('id_empresa');
	$row = Core::getRowById("usuario", $id_medico);
	$nome_medico = $row->nome;
	$salario = $row->salario;
	$titulo = lang('MEDICO').": ".$nome_medico;
	$subtitulo = lang('DATA_ATENDIMENTO').": ".$data_caixa;
	$retorno_row = $atendimento->getAgendaRealizada($data_caixa, $id_medico);
	
	$pdf = new Impressao_PDF();
	$pdf->Titulo($nome_medico);
	$pdf->SubTitulo($subtitulo);
	$pdf->HeaderEmpresa('logo-empresa.jpg',$titulo,'',$subtitulo);

	// set font
	$pdf->SetFont('helvetica', '', 7, '', false);

	// add a page
	$pdf->AddPage();
		
	ob_start();
		require(BASEPATH . 'pdf_producao_html.php');
		$pdfhtml = ob_get_contents();
	ob_end_clean();
	$pdf->writeHTMLSyle($pdfhtml);
	
	$pdf->Output($nome_medico."-".$data_caixa.".pdf", "I");

?>