<?php
  /**
   * PDF Recibo Consulta
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   */
  define("_VALID_PHP", true);
  
	require_once("impressao_tcpdf.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	 
	if (isset($_GET['id_atendimento'])) {	 
	
		$id_atendimento = get('id_atendimento');
		$row = Core::getRowById("atendimento", $id_atendimento);
		$id_convenio = $row->id_convenio;
		$row_empresa = Core::getRowById("empresa", $row->id_empresa);
		$row_paciente = Core::getRowById("paciente", $row->id_paciente);
		$row_medico = Core::getRowById("usuario", $row->id_medico);
		$procedimento = getValue('procedimento', 'tabela', 'id='.$row->id_tabela);
		$valor = getValue('valor', 'tabela', 'id='.$row->id_tabela);
		$nome_convenio = ($id_convenio) ? getValue('nome', 'cadastro', 'id='.$id_convenio) : "PARTICULAR";
		$tipo_convenio = ($id_convenio) ? getValue('convenio', 'cadastro', 'id='.$id_convenio) : 0;
		$atendente = capitalize($row->usuario_agenda);
		$data_agenda = ($row->data_agenda == '0000-00-00 00:00:00' or $row->data_agenda == null) ? $row->data : $row->data_agenda;
		$data_pagamento = ($row->data_pagamento == '0000-00-00 00:00:00') ? $row->data : $row->data_pagamento;
		$valor_tabela = $row->valor_tabela;
		if($row->pago != 1) {
			if($row->id_convenio) {
				$valor_convenio = getValue('valor_convenio', 'tabela_convenio', 'id_tabela='.$row->id_tabela.' AND id_cadastro='.$row->id_convenio);
				$valor_tabela = ($valor_convenio) ? $valor_convenio : $valor;
			} else {
				$valor_tabela = $valor;				  
			}
		}
		
		$nomeempresa = capitalize($row_empresa->endereco.', '.$row_empresa->numero.' - '.$row_empresa->bairro.' - '.$row_empresa->cidade).'/'.$row_empresa->estado.' - Tel.: '.$row_empresa->telefone;
		
		$telefone_paciente = $row_paciente->celular;
		$telefone_paciente .= ($row_paciente->celular and $row_paciente->telefone) ? ' / ' : '';
		$telefone_paciente .= ($row_paciente->telefone) ? $row_paciente->telefone : '';
		
		$pdf = new Impressao_PDF();
		$titulo = 'Comprovante de marcação de consulta';
		$pdf->titulo($titulo);		
		$pdf->setFooterTexto($nomeempresa);
		$pdf->HeaderCabecalho();
		
		// set font
		$pdf->SetFont('helvetica', '', 9, '', false);

		// add a page
		$pdf->AddPage();
			
		ob_start();
			require(BASEPATH . 'recibo_consulta_html.php');
			$pdfhtml = ob_get_contents();
		ob_end_clean();
		$pdf->writeHTMLSyle($pdfhtml);
	
	} else {
		$pdf = new Impressao_PDF();
		$titulo = 'rascunho';
		$pdf->titulo($titulo);		
		$pdf->AddPage();
		$pdf->rascunho( lang('MSG_ERRO_DOCUMENTO') );
	}
	
	$pdf->Output("consulta_".$id_atendimento.".pdf", "I");

?>