<?php
  /**
   * PDF Recibo Financeiro
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   */
  define("_VALID_PHP", true);
  
	require_once("impressao_tcpdf.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	 
	if (isset($_GET['id_receita'])) {	 
	
		$id = get('id_receita');
		$row = Core::getRowById("receita", $id);
		$row_empresa = Core::getRowById("empresa", $row->id_empresa);
		$row_paciente = Core::getRowById("paciente", $row->id_paciente);
		$data_pagamento = exibedata($row->data_pagamento);
		$valor_pago = moeda($row->valor_pago);
		$id_atendimento = getValue('id_atendimento', 'paciente_financeiro', 'id='.$row->id_pagamento);
		$id_tabela = getValue('id_tabela', 'paciente_financeiro', 'id='.$row->id_pagamento);
		$tipopagamento = getValue('tipo', 'tipo_pagamento', 'id='.$row->tipo);
		$id_medico = getValue('id_medico', 'atendimento', 'id='.$id_atendimento);
		$row_medico = Core::getRowById("usuario", $id_medico);
		$data_agenda = getValue('data_agenda', 'atendimento', 'id='.$id_atendimento);
		$procedimento = getValue('procedimento', 'tabela', 'id='.$id_tabela);
		$id_convenio = getValue('id_convenio', 'atendimento', 'id='.$row->id_atendimento);
		$nome_convenio = ($id_convenio) ? getValue('nome', 'cadastro', 'id='.$id_convenio) : "PARTICULAR";
		$atendente = $row->usuario_caixa;
		
		$assinatura_nome = $row_empresa->nome;
		$assinatura_cpf_cnpj = ($row_empresa->cnpj) ? formatar_cpf_cnpj($row_empresa->cnpj) : "";		
		if($row_empresa->recibo_medico) {
			$assinatura_nome = $row_medico->nome;
			$assinatura_cpf_cnpj = ($row_medico->cpf) ? ($row_medico->cpf) : "";
		}
		
		$nomeempresa = capitalize($row_empresa->endereco.', '.$row_empresa->numero.' - '.$row_empresa->bairro.' - '.$row_empresa->cidade).'/'.$row_empresa->estado.' - Tel.: '.$row_empresa->telefone;
		
		$pdf = new Impressao_PDF();
		$titulo = 'RECIBO';
		$pdf->titulo($titulo);		
		$pdf->setFooterTexto($nomeempresa);
		$pdf->HeaderCabecalho();
		
		// set font
		$pdf->SetFont('helvetica', '', 9, '', false);

		// add a page
		$pdf->AddPage();
			
		ob_start();
			require(BASEPATH . 'recibo_financeiro_html.php');
			$pdfhtml = ob_get_contents();
		ob_end_clean();
		$pdf->writeHTMLSyle($pdfhtml);
	
	} elseif(isset($_GET['id_financeiro'])) {
	
		$id = get('id_financeiro');
		$row = Core::getRowById("paciente_financeiro", $id);
		$row_empresa = Core::getRowById("empresa", $row->id_empresa);
		$row_paciente = Core::getRowById("paciente", $row->id_paciente);
		$data_pagamento = exibedataHora($row->data_pagamento);
		$valor_pago = moeda($row->valor_pago);
		$id_atendimento = $row->id_atendimento;
		$tipopagamento = getValue('tipo', 'tipo_pagamento', 'id='.$row->tipo);
		$id_medico = getValue('id_medico', 'atendimento', 'id='.$row->id_atendimento);
		$row_medico = Core::getRowById("usuario", $id_medico);
		$data_agenda = getValue('data_agenda', 'atendimento', 'id='.$row->id_atendimento);
		$procedimento = getValue('procedimento', 'tabela', 'id='.$row->id_tabela);
		$id_convenio = getValue('id_convenio', 'atendimento', 'id='.$row->id_atendimento);
		$nome_convenio = ($id_convenio) ? getValue('nome', 'cadastro', 'id='.$id_convenio) : "PARTICULAR";
		$atendente = $row->usuario_caixa;
		
		$assinatura_nome = $row_empresa->nome;
		$assinatura_cpf_cnpj = ($row_empresa->cnpj) ? formatar_cpf_cnpj($row_empresa->cnpj) : "";		
		if($row_empresa->recibo_medico) {
			$assinatura_nome = $row_medico->nome;
			$assinatura_cpf_cnpj = ($row_medico->cpf) ? formatar_cpf_cnpj($row_medico->cpf) : "";
		}
		
		$nomeempresa = capitalize($row_empresa->endereco.', '.$row_empresa->numero.' - '.$row_empresa->bairro.' - '.$row_empresa->cidade).'/'.$row_empresa->estado.' - Tel.: '.$row_empresa->telefone;
		
		$pdf = new Impressao_PDF();
		$titulo = 'RECIBO';
		$pdf->titulo($titulo);		
		$pdf->setFooterTexto($nomeempresa);
		$pdf->HeaderCabecalho();
		
		// set font
		$pdf->SetFont('helvetica', '', 9, '', false);

		// add a page
		$pdf->AddPage();
			
		ob_start();
			require(BASEPATH . 'recibo_financeiro_html.php');
			$pdfhtml = ob_get_contents();
		ob_end_clean();
		$pdf->writeHTMLSyle($pdfhtml);
	
	} else {
		$pdf = new Impressao_PDF();
		$titulo = 'rascunho';
		$pdf->titulo($titulo);		
		$pdf->AddPage();
		$pdf->rascunho( lang('MSG_ERRO_DOCUMENTO') );
	}	
	$pdf->Output("recibo_".$id.".pdf", "I");

?>