<?php
  /**
   * Visualizar Procedimento
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyleft 2013
   * @version 2
   */
  define("_VALID_PHP", true);
  
	require_once("init.php");
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	  
	$id = get('id');
	$detalhes_row = $paciente->getDetalhesProcedimento($id);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta charset="utf-8"/>
<title><?php echo $core->empresa." ".lang('VER_DETALHES');?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta content="width=device-width, initial-scale=1.0" name="viewport"/>
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta content="Sistemas Divulgação Online" name="description"/>
<meta content="Geandro Bessa" name="author"/>
<link rel="shortcut icon" href="./assets/img/favicon.ico"/>
<!-- BEGIN GLOBAL MANDATORY STYLES -->
<link href="./assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css">
<!-- END GLOBAL MANDATORY STYLES -->
<!-- BEGIN PAGE LEVEL STYLES -->
<link rel="stylesheet" type="text/css" href="./assets/plugins/select2/select2.css"/>
<!-- END PAGE LEVEL SCRIPTS -->
<!-- BEGIN THEME STYLES -->
<link href="./assets/css/components-rounded.css" id="style_components" rel="stylesheet" type="text/css">
<link href="./assets/css/plugins.css" rel="stylesheet" type="text/css">
<link href="./assets/css/layout.css" rel="stylesheet" type="text/css">
<link href="./assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color">
<link href="./assets/css/custom.css" rel="stylesheet" type="text/css">

<link rel="stylesheet" type="text/css" href="./assets/plugins/bootstrap-datepicker/css/datepicker3.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/extensions/Scroller/css/dataTables.scroller.min.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/extensions/ColReorder/css/dataTables.colReorder.min.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/typeahead/typeahead.css">
<!-- END THEME STYLES -->
</head>
<script Language="JavaScript">
	function Imprimir(){
	window.print();
	window.close();
	}
</Script>
<style type="text/css">
    @media print {
      .noprint { display: none; margin: 30px;}
	  .quebra_pagina {page-break-after:always;}
    }
</style>
<body>
<div class="page-container">
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<div class="row">
					<div class="col-md-12">			
						<div class="portlet light">
							<div class='portlet-title'>
								<div class='actions noprint'>								
									<a class="btn yellow-casablanca hidden-print margin-bottom-5" onclick="javascript:Imprimir();">
									<?php echo lang('IMPRIMIR');?>&nbsp;&nbsp;<i class="fa fa-print"></i>
									</a>
								</div>
							</div>
							<div class="portlet-body">
								<table width="100%">
									<tr>
										<td>
											<table class="table table-bordered table-advance table-condensed">
												<thead>
													<tr>
														<th colspan="2"><?php echo lang('TABELA_DETALHES');?></th>
													</tr>
												</thead>
												<tbody>
													<tr>
														<th><?php echo lang('PROCEDIMENTO');?>:&nbsp;&nbsp;</th>
														<td><?php echo $detalhes_row->procedimento;?></td>
													</tr>
													<?php if($detalhes_row->inativo == 1):?>
													<tr>
														<th><?php echo lang('CANCELADO');?>:&nbsp;&nbsp;</th>
														<td><?php echo "<span class='label bg-red'>CANCELADO</span>";?></td>
													</tr>
													<?php endif;?>
													<tr>
														<th><?php echo lang('TABELA');?>:&nbsp;&nbsp;</th>
														<td><?php echo $detalhes_row->tabela;?></td>
													</tr>
													<tr>
														<th><?php echo lang('MEDICO');?>:&nbsp;&nbsp;</th>
														<td><?php echo $detalhes_row->medico;?></td>
													</tr>
													<tr>
														<th><?php echo lang('STATUS');?>:&nbsp;&nbsp;</th>
														<td><?php echo "<span class='label label-sm ".$detalhes_row->cor."'>".$detalhes_row->status."</span>";?></td>
													</tr>
													<tr>
														<th><?php echo lang('ORCAMENTO');?>:&nbsp;&nbsp;</th>
														<td><?php echo $detalhes_row->id_orcamento;?></td>
													</tr>
													<tr>
														<th><?php echo lang('VALOR');?>:&nbsp;&nbsp;</th>
														<td><?php echo moeda($detalhes_row->valor);?></td>
													</tr>
													<tr>
														<th><?php echo lang('VALOR_DESCONTO');?>:&nbsp;&nbsp;</th>
														<td><?php echo moeda($detalhes_row->valor_desconto);?></td>
													</tr>
													<tr>
														<th><?php echo lang('VALOR_TOTAL');?>:&nbsp;&nbsp;</th>
														<td><?php echo moeda($detalhes_row->valor_total);?></td>
													</tr>
													<tr>
														<th><?php echo lang('DATA_CADASTRO');?>:&nbsp;&nbsp;</th>
														<td><?php echo exibedataHora($detalhes_row->data_cadastro)." - ".$detalhes_row->usuario_cadastro;?></td>
													</tr>
													<tr>
														<th><?php echo lang('DATA_FINALIZADO');?>:&nbsp;&nbsp;</th>
														<td><?php echo exibedataHora($detalhes_row->data_finalizado)." - ".$detalhes_row->usuario_finalizado;?></td>
													</tr>
												</tbody>
											</table>
										</td>
									</tr>
								</table>
							</div>
						</div>
					</div>
			</div>
		</div>
	</div>
</div>
<div class="quebra_pagina"></div>
<div class="noprint"></div>
</body>
</html>